2008-03-10  Mark D. Baushke  <mdb@gnu.org>

	* cvs.texinfo (config): Document the IgnoreUnknownConfigKeys
	option.

2008-01-27  Mark D. Baushke  <mdb@gnu.org>

	* cvs.texinfo: Document use of --with-ssh flag to configure and
	how :extssh: uses the CVS_SSH environment variable or "ssh".
	* stamp-vti, version.texi: Regenerated.
	
	* cvs.texinfo: Update copyright for 2008.

2008-01-24  Mark D. Baushke  <mdb@gnu.org>

	* cvs.texinfo (log options): Document the new cvs log -n
	switch to reverse the -N switch.
	* cvs.texinfo (annotate & rannotate): Document "blame" as a
	synonym for the "annotate" command.
	(Patch suggested by "David O'Brien" <obrien@FreeBSD.org>)

	* cvs.1, stamp-1, stamp-vti, version-client.texi, version.texi:
	Regenerated.

2007-05-07  Derek Price  <derek@ximbiot.com>

	* cvsclient.text: Remove references to remote `init' command.

2006-08-25  Derek Price  <derek@ximbiot.com>

	* cvsclient.texi (Requests, Responses): Remove reference to the
	obsolete checkin & update programs.

2006-08-21  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (man page nodes): Tweak grammar, especially refs.
	(Original patch from Kevin R. Bulgrien <kbulgrien@att.net>.)

	* mkman.pl (do_keyword): Process ref and p?xref differently.
	(Original patch from Kevin R. Bulgrien <kbulgrien@att.net>.)

2006-08-11  Mark D. Baushke  <mdb@gnu.org>

	* cvs.texinfo, cvsclient.texi: Fix some typos.
	(inspired by Ralf Wildenhues <Ralf.Wildenhues@gmx.de>)

2006-07-16  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (File permissions): Correct punctuation.

2006-07-11  Larry Jones  <lawrence.jones@ugs.com>

	* cvs.texinfo (log options): -b is a revision selection option, not
	a header field option.

2006-06-22  Larry Jones  <lawrence.jones@ugs.com>

	* cvs.texinfo (user-defined logging, Informing others): Remove
	references to the obsolete -i module option.

2006-06-08  Derek Price  <derek@ximbiot.com>

	* cvsclient.texi (Requests): Add Empty-conflicts.

2006-03-20  Mark D. Baushke  <mdb@gnu.org>

	[patch #4965]
	* cvs.texinfo (Sticky tags, Merging and keywords)
	(checkout options, update options): The -A switch
	does not reset sticky -k options on modified files.
	* cvs.1, stamp-1, stamp-vti, version.texi: Regenerated.

2006-02-28  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Editing administrative files): Import changes from Wiki.

2005-12-09  Derek Price  <derek@ximbiot.com>

	[patch #4634]
	* cvsclient.texi (Root request): Clarify.

2005-11-10  Larry Jones  <lawrence.jones@ugs.com>

	* cvs.texinfo (Common options): -n no longer applies to commit.
	(commit): Remove reference to the defunct -n option.
	* cvs.1, stamp-vti, version.texi: Regenerated

2005-10-12  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: Remove text that created unintentional cross-references
	in generated info files.

2005-10-04  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: s/visa versa/vice versa/.  (From Wiki.)

2005-09-26  Derek Price  <derek@ximbiot.com>

	* Makefile.am (cvs-paper.ps, cvs-paper.pdf): Remove implicit sources.
	Add comments about why implicit rules won't work for these targets.
	Make sure the distributed cvs-paper.pdf is created in $(srcdir).  Make
	cvs-paper.pdf directly from cvs-paper.ms to avoid building it just
	because cvs-paper.ps is missing.

	* Makefile.am (EXTRA_DIST): Restore PDFs.
	* cvs-paper.ps: Removed.
	* texinfo.tex: Update from GNULIB.

2005-09-25  Derek Price  <derek@ximbiot.com>

	* Makefile.am (doc): Finish removing PSs.

	* Makefile.am (EXTRA_DIST): Remove PDFs too until errors go away.

	* Makefile.am (EXTRA_DIST): Dist PDFs rather than PSs.

2005-09-22  Larry Jones  <lawrence.jones@ugs.com>

	* cvs.texinfo (rdiff options): Document -k.
	* cvs.1, stamp-vti, version.texi: Regenerated.

2005-09-20  Larry Jones  <lawrence.jones@ugs.com>

	* cvs.texinfo: Move summary and detail contents to the front
	where they belong.

2005-09-14  Derek Price  <derek@ximbiot.com>

	* Makefile.am: s#cvs.1#$(srcdir)/cvs.1#.

2005-09-11  Larry Jones  <lawrence.jones@ugs.com>

	* cvs.texinfo (Common options): Note that -r branch for a revision
	means the head of the branch.

2005-09-10  Larry Jones  <lawrence.jones@ugs.com>

	* cvs.texinfo (Error messages): Add suggested messages.

2005-09-09  Larry Jones  <lawrence.jones@ugs.com>

	* cvs.texinfo (Error messages): Add signal 11 message.

2005-09-01  Derek Price  <derek@ximbiot.com>

	* cvs.man.footer: Update links.

2005-09-01  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: Update links and email addresses.

2005-08-29  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (From scratch): Add checkout to import example, from
	wiki.

2005-08-29  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Removing directories): Correct grammar, from wiki.

2005-08-29  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (From scratch): Clarify note on `cvs add', inspired from
	wiki.

2005-08-22  Derek Price  <derek@ximbiot.com>

	Address bug #13882, submitted by Fred Maranhao.
	* cvs.texinfo (log options, admin options, Invoking CVS): Add cross
	references for clarity about possible states.

2005-08-22  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Updating a file): Add note about update -d, inspired by
	wiki.

2005-08-12  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (What is CVS?): Rephrase for clarity, imported from
	Wiki.

2005-08-02  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (What is CVS?, BUGS): s/cvshome/nongnu/.  Remove
	obsolete Pascal Molli link.

2005-06-22  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Builds): Update Gunnar Tornblom's email at his request.

2005-05-03  Derek Price  <derek@ximbiot.com>

	* cvsclient.texi (Goals): Remove typo.  Resolves cvshome issue #236.

2005-05-03  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Creating a repository):  Provide xref to the remote
	repositries section.  Resolves issue #203 on cvshome.org.

2005-05-03  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Moving directories):  Clarify instructions on renaming a
	directory.  Partially resolves issue #246 on cvshome.org.

2005-05-03  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (update output): Use "working directory" in place of
	"source" for clarity.  Closes issue #245 on cvshome.org.

2005-04-28  Derek Price  <derek@ximbiot.com>

	* mkman.pl: Minor changes to accomodate Perl 5.8.4.  Improve
	commenting.
	($nk, $ret, $debug): New globals.
	(debug_print): New function.

2005-04-14  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Administrative files): Add "Trigger Scripts" node to
	the menu.
	(Trigger Scripts, Trigger Script Security): New nodes.
	(syntax): Move under Trigger scripts node.
	(commit files, taginfo): Rewrite to reference Trigger Script node.  

2005-04-06  Derek Price  <derek@ximbiot.com>

	* Makefile.am (MAINTAINERCLEANFILES): Add cvs.1.
	(cvs.1): Create intermediate file so that the original isn't emptied on
	error.

2005-01-31  Derek Price  <derek@ximbiot.com>

	* Makefile.am, cvs.man.header, cvs.texinfo: Update copyright notices.

2005-01-29  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (log options): Note quirky interaction of log options.
	(Suggestion from Dan Peterson <dbpete@aol.com>.)

2004-10-29  Mark D. Baushke  <mdb@cvshome.org>

	* cvs.texinfo (Common options): The -r TAG option works with
	the cvs annotate command.
	(Original patch from Ville Skytta <scop@cvshome.org>.)

2004-09-25  Derek Price  <derek@ximbiot.com>

	* mkman.in: Move to...
	* mkman.pl: ...here.
	* Makefile.am (cvs.1): mkman is in build dir, not src dir.

2004-07-17  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Update imports, import): Add notes on requirement that
	release tags be unique.
	(Original patch from Ilya N. Golubev <gin@mo.msk.ru>.)

2004-06-10  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (commit files): Remove reference to the obsolete -i
	module option.

2004-05-28  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Global options): Remove reference to global -l option.
	(Report from Kevin Bulgrien <Kevin.Bulgrien@TriPointGlobal.com>.)

2004-05-14  Mark D. Baushke  <mdb@cvshome.org>
	
	* cvs.texinfo: Fix makeinfo error.

	* cvs.texinfo (Adding files): Minor cleanup.
	(Using keywords): Minor cleanup.
	(annotate): Move into the manual section, split into three nodes.
	(annotate options): New node.
	(annotate example): New node.
	(based on patch from Steve McIntyre <steve@einval.com>.)
	(Locks, GSSAPI authenticated): Minor cleanup.
	(Sticky tags): Clarify operation.
	(Locks): Spelling fix.
	(Merging adds and removals): Ditto.
	(Invoking CVS): Ditto
	(Builds): Grammar fix.
	(Line group formats): Ditto
	(Line group formats, Line formats): Ditto
	(commit files): Ditto.
	* cvs.1, stamp-vti, version.texi: Regenerated
	
2004-05-12  Derek Price  <derek@ximbiot.com>

	* mkman.in: Clarify status messages.

2004-05-10  Derek Price  <derek@ximbiot.com>

	* mkman.in: Organize & tidy comments.  Check for unprocessed texinfo
	commands.  Output better error messages on finding unprocessed texinfo
	commands.
	(do_keyword, keyword_mode): Accept $file argument for error messages.

2004-05-06  Derek Price  <derek@ximbiot.com>

	* mkman.in: Require Perl 5.005.  Add comments.  Remove duplicate s///.
	Handle @:.

2004-05-06  Derek Price  <derek@ximbiot.com>

	* cvs.man.header: Minor text correction.
	* mkman.in: Ignore @need keyword.  Restore previous font for nested
	keywords.
	(do_keyword): Ditto on fonts.  Move some functionality to...
	(keyword_mode): ...this new function.

2004-05-06  Derek Price  <derek@ximbiot.com>

	* mkman.in: Handle keywords that cross multiple lines.
	(do_keyword): New function.

2004-05-04  Derek Price  <derek@ximbiot.com>

	* cvs.man.header, cvs.man.footer: Reference `info CVS' rather than
	`info cvs' to send users to the top node.

2004-05-03  Derek Price  <derek@ximbiot.com>

	* Makefile.am: mkman is built in the build dir, not $(srcdir).
	(Report from Mark D. Baushke <mdb@cvshome.org>.)

2004-05-03  Derek Price  <derek@ximbiot.com>

	* HACKING.DOCS: Fix spelling error.  Add reference for @strong.
	(Report from Mark D. Baushke <mdb@cvshome.org>.)

	* HACKING.DOCS: Note dependency on `makeinfo' 3.11 & greater.

2004-04-30  Derek Price  <derek@ximbiot.com>

	* mkman.in: Handle single quotes better.  Parse out some redundancy
	from node and section names.
	* cvs.man.footer: Replace some quotes with the usual bold font.
	Reformat links in the SEE ALSO section.
	* cvs.1: Regenerated.

2004-04-30  Derek Price  <derek@ximbiot.com>

	* mkman.in: Handle examples better.  Protect a few more characters.
	* cvs.1, stamp-vti, version.texi: Regenerated.

2004-04-30  Derek Price  <derek@ximbiot.com>

	* cvs.man.header: Add copyright notice.
	* cvs.1: Regenerated.

2004-04-30  Derek Price  <derek@ximbiot.com>

	* mkman.in: Add copyright and license notice.

2004-04-30  Derek Price  <derek@ximbiot.com>

	* mkman.in: Handle @@.
	* cvs.1: Regenerated.

2004-04-30  Derek Price  <derek@ximbiot.com>

	First pass at closing issue #3 on cvshome.org.
	* .cvsignore: Ignore mkman.
	* cvs.1, mkman.in, cvs.man.header, cvs.man.footer: New files.
	* cvs.texinfo: Add cut tags for mkman.
	* Makefile.in (man_MANS): Add cvs.1.
	(EXTRA_DIST): Add cvs.man.header & cvs.man.footer.
	(cvs.1, mkman): New targets.
	* Makefile.in: Regenerated.

2004-04-23  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: Update years in Copyright.
	* stamp-vti, version.texi: Regenerated.

2004-04-21  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: Use splitrcskeyword macro consistently in a failed
	attempt to avoid a warning during PDF generation.
	* stamp-vti, version.texi: Regenerated.

2004-04-18  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: Various spelling, typo, and capitalization fixes.
	(Patch from Ville Skyttä <scop@cvshome.org>.)

2004-04-06  Larry Jones  <lawrence.jones@ugsplm.com>

	* cvs.texinfo (Assigning revisions): Note that client/server mode
	only considers files sent to the server to determine the major
	revision for new files.
	(Reported by Krzysztof GORBIEL <Krzysztof_GORBIEL@raiffeisen.pl>.)
	* stamp-vti, version.texi: Regenerated.

2004-03-15  Derek Price  <derek@ximbiot.com>

	* stamp-vti, version.texi: Regenerated.

2004-03-11  Larry Jones  <lawrence.jones@ugsplm.com>

	* cvs.texinfo (loginfo, Error messages): Note that not reading all of
	the log info can result in a broken pipe signal.
	(Reported by Steven Nicoloso <spn@nwmail.wh.lucent.com>.)
	* stamp-vti, version.texi: Regenerated.

2004-02-04  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (File Permissions): Clarify index entry.
	* stamp-vti, version.texi: Regenerated.

2004-01-22  Derek Price  <derek@ximbiot.com>

	* stamp-vti, version.texi: Regenerated.

2004-01-08  Larry Jones  <lawrence.jones@ugsplm.com>

	* cvs.texinfo (user-defined logging): Move taginfo stuff from here...
	(Administrative files): ...to its own node under here.

2003-12-18  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated
	for 1.11.11.1.

2003-12-18  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated
	for 1.11.11.

2003-12-05  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated.

2003-12-04  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated
	for 1.11.10.1.

2003-12-04  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated
	for 1.11.10.

2003-11-18  Derek Price  <derek@ximbiot.com>

	* stamp-vti, version.texi: Regenerated.

2003-11-13  Larry Jones  <lawrence.jones@eds.com>

	* cvs.texinfo (Reverting local changes): Use the same vendor tag
	in the admin command as was used in the previous import commands.

2003-11-10  Derek Price  <derek@ximbiot.com>

	* stamp-vti, version.texi: Regenerated.

2003-11-07  Mark D. Baushke  <mdb@cvshome.org>

	* cvs.texinfo (CVS commands): Fix typo.
	(FreeBSD PR docs/58669 reported by Ceri Davies <ceri@FreeBSD.org>.)

2003-10-30  Derek Price  <derek@ximbiot.com>

	* stamp-vti, version.texi: Regenerated.

2003-10-30  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (File permissions, Error messages): Add index entries for
	CVSROOT/val-tags file.

2003-10-21  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: Note gnu.cvs.* usenet mirrors of the email lists.
	(Suggestion from Paul Edwards, from somewhere in Australia.)

	* cvs.texinfo: Put email addresses in @email{} tags and URLs in @url{}
	tags rather than relying on markup like @code{}.
	* stamp-vti, version.texi: Regenerated.

2003-10-14  Derek Price  <derek@ximbiot.com>

	* stamp-vti, version.texi: Regenerated.

2003-10-14  Derek Price  <derek@ximbiot.com>

	Port to pedantic POSIX 1003.1-2001 hosts, such as Debian GNU/Linux
	testing with _POSIX2_VERSION=200112 in the environment.

	* cvs.texinfo: Suggest 'sed 1q', not 'head -1'.
	(Patch from Paul Eggert <eggert@twinsun.com>.)

2003-10-10  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated
	for 1.11.9.1.

2003-10-10  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated
	for 1.11.9.

2003-10-06  Derek Price  <derek@ximbiot.com>

	* cvsclient.texi (Requests): Add recommendation to client developers to
	avoid the `Case' request.
	* stamp-1, version-client.texi: Regenerated.

2003-10-02  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated
	for 1.11.8.1.

2003-10-02  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated
	for 1.11.8.

2003-09-29  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated
	for 1.11.7.1.

2003-09-29  Derek Price  <derek@ximbiot.com>

	* stamp-1, stamp-vti, version-client.texi, version.texi: Regenerated
	for 1.11.7.

2003-09-12  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (checkoutlist): Document the error messages which may be
	specified in this file.
	* stamp-vti, version.texi: Regenerated.

2003-08-27  Larry Jones  <lawrence.jones@eds.com>

	* cvs.texinfo (history options): Note the 'P' record type which
	has been around for a long time but never actually appeared in
	the history file due to bugs in the code.
	(Invoking CVS): Ditto.
	(config): Ditto.
	* stamp-vti, version.texi: Regenerated.

2003-08-07  Derek Price  <derek@ximbiot.com>

	* .cvsignore: Ignore {cvs,cvsclient}.txt.

2003-08-07  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: Use the @dircategory and @direntry commands from texinfo
	rather than rolling our own.

	* stamp-vti, version.texi: Regenerated.

2003-08-07  Derek Price  <derek@ximbiot.com>

	* Makefile.am (POSTSCRIPTS): Rename to...
	(PSS): ...to sync with and override Automakes default targets.
	(PDFS): Reorder to match PSS.
	(SUFFIXES): Remove .pdf and .aux.
	(cvs.aux, cvs.pdf, cvsclient.aux, cvsclient.pdf): Remove these targets.
	.aux weren't being generated anyhow and .pdf no longer need to be
	supplied explicitly.
	(cvs-paper.pdf: cvs-paper.ps): Provide ps2pdf rule explicitly.
	(.{texinfo,texi,txy}.pdf): Remove these suffix rules - they are now
	provided by Automake.

2003-08-06  Derek Price  <derek@ximbiot.com>

	* Makefile.am (CLEANFILES): Move...
	(MOSTLYCLEANFILES): ...here and drop PDFs since this is where Automake
	cleans PDFs & PSs by default.
	(MAINTAINERCLEANFILES): Clean all PostScripts even though they will
	have been removed in mostlyclean.  That is a bug in Automake.
	(doc): Depend on info & ps.
	(pdf, ps): Removed in favor of Automake's default targets for these
	types.
	(cvsclient.* targets): Depened on version-client.texi.
	(cvs-paper.pdf): Remove in favor of Automake's default target.
	(.{texinfo,texi,txi}.{pdf,txt}): Update these targets based on
	Automake's similar treatment of dvi, ps, and info targets.
	* .cvsignore: Add cvs.tmp, a `make pdf' generated file.

	* Makefile.in: Regenerated.

2003-07-18  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: Put a few errant references to bug-cvs inside @code{}
	for consistancy.

2003-07-18  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: Update WARNINGs and Notes for a more consistent
	appearance.  Remove some obsolete comments.
	* stamp-vti: Regenerated.
	* version.texi: Regenerated.

2003-07-12  Larry Jones  <lawrence.jones@eds.com>

	* cvs.texinfo (Binary howto): Add note about how to determine whether
	a file is marked as binary or not.
	(Suggested by Erik Sigra <sigra@home.se>.)
	* stamp-vti: Regenerated.
	* version.texi: Regenerated.

2003-06-23  Derek Price  <derek@ximbiot.com>

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2003-06-16  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (splitrcskeyword): New macro, now that @ifhtml will work
	properly with texi2html (as of version 1.68), to cause output HTML to
	contain <i></i> where we used to have @asis{} and prevent RCS keyword
	substitution in generated HTML.
	(Original patch from Patrice Dumas <dumas@centre-cired.fr>.)

2003-06-11  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Invoking CVS): Remove `-P' from the list of `cvs export'
	options.
	(Patch from Alexander Taler <dissent@cvshome.org>.)

2003-06-11  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Top): Remove out-of-date (by at least 5 years) comment.
	(Patch from Alexander Taler <dissent@cvshome.org>.)

2003-05-27  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo: Consolidate copyright notices into a single macro that
	is called elsewhere to avoid needing three of them.  Update copyright
	notice.
	(BUGS): Suggest Ximbiot rather than the defunct Signum Support as CVS
	consultants.

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2003-05-26  Derek Price  <derek@ximbiot.com>

	* stamp-1: Regenerated for 1.11.6.1.
	* stamp-vti: Ditto.
	* version-client.texi: Ditto.
	* version.texi: Ditto.

2003-05-25  Derek Price  <derek@ximbiot.com>

	* stamp-1: Regenerated for 1.11.6.
	* stamp-vti: Ditto.
	* version-client.texi: Ditto.
	* version.texi: Ditto.

2003-05-21  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerate with Automake version 1.7.5.

2003-04-28  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Working directory storage, Module options, Module
	program options): Remove references to Checkin.prog and Update.prog.
	(commit options): Remove reference to -n option.

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2003-04-10  Larry Jones  <lawrence.jones@eds.com>

	* Makefile.in: Regenerated.

2003-03-26  Derek Price  <derek@ximbiot.com>

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2003-03-25  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Server temporary directory): Reorder list of places
	to match code.
	(Connection): Add additional example error message and note about
	firewall software.
	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2003-03-24  Derek Price  <derek@ximbiot.com>

	* Makefile.am: Update copyright notice.

	* Makefile.in: Regenerated.

2003-03-06  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (What is CVS?): Correct date of first post of CVS by
	Dick Grune from December to July based on the archive posted on
	Google:
	<http://groups.google.com/groups?q=Grune+cvs+group:mod.sources.*&hl=en&lr=&ie=UTF-8&selm=122%40mirror.UUCP&rnum=2>.
	(Thanks to David A Wheeler <dwheeler@dwheeler.com>.)

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2003-03-05  Mark D. Baushke  <mdb@cvshome.org>

	* cvs.texinfo (CVS_LOCAL_BRANCH_NUM): Backout CVS_LOCAL_BRANCH_NUM 
	feature.

	* cvs.texinfo (CVS_LOCAL_BRANCH_NUM): Document new environment
	variable.

2003-02-27  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Environment variables): Make the information on
	CVS_CLIENT_PORT slightly clearer.
	(Kerberos authenticated): XREF the Environment variables node.

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2003-02-25  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.
	* stamp-1: Ditto.
	* version-client.texi: Ditto.

2003-02-06  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Working directory storage, Module options,
	Module program options): Correct description of where Checkin.prog
	and Update.prog are run.  Provide more index entries and cross
	references.  Remove some FIXME comments.  Add a FIXCVS THEN FIXME.
	(Thanks to Art Manion at the CERT Coordination Center <cert@cert.org>.)

2003-02-04  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (File status): Mention the "Unresolved Conflict" status
	which was apparently and erroneously removed from the doc at some
	point in the past.

2003-02-03  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Merging a branch): Mention the GCA as opposed to the
	"branch point" as the implicit revision when merging a branch.

2003-02-03  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Remote repositories): :METHOD: is optional.

2003-02-03  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Committing your changes): Move index entries closer to
	their corresponding references.
	(Environment variables): Include $VISUAL in order of
	preference.  Add index entries.  Reference Global options node.
	(Variables): Change order of list to match the Env. Variables node
	mentioned above.

	* stamp-1: Regenerated.
	* stamp-vti: Ditto.
	* version-client.texi: Ditto.
	* version.texi: Ditto.

2003-02-14  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Watch Information, Editing files, Getting Notified,
	Setting a watch): Edit usage specs for correctness and uniformity.
	(Sticky tags): Use ref rather than xref to avoid a warning from
	makeinfo.

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2003-01-23  Derek Price  <derek@ximbiot.com>

	* stamp-1: Regenerated.
	* stamp-vti: Ditto.
	* version-client.texi: Ditto.
	* version.texi: Ditto.

2003-01-22  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (config): Correct LogHistory default (U was omitted).

2003-01-16  Derek Price  <derek@ximbiot.com>

	* stamp-1: Regenerated for version (1.11.5).
	* stamp-vti: Ditto.
	* version-client.texi: Ditto.
	* version.texi: Ditto.

2003-01-16  Derek Price  <derek@ximbiot.com>

	* stamp-1: Regenerated for dev version (1.11.4.1).
	* stamp-vti: Ditto.
	* version-client.texi: Ditto.
	* version.texi: Ditto.

2002-12-28  Derek Price  <derek@ximbiot.com>

	* stamp-1: Regenerated for version 1.11.4.
	* stamp-vti: Ditto.
	* version-client.texi: Ditto.
	* version.texi: Ditto.

2002-12-27  Derek Price  <derek@ximbiot.com>

	* stamp-1: Regenerated for dev version 1.11.3.1.
	* stamp-vti: Ditto.
	* version-client.texi: Ditto.
	* version.texi: Ditto.

2002-12-27  Derek Price  <derek@ximbiot.com>

	* stamp-1: Regenerated.
	* stamp-vti: Ditto.
	* version-client.texi: Ditto.
	* version.texi: Ditto.

2002-11-18  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (commitinfo): Explain the environment of commands
	run by commitinfo a little more fully.
	(Original patch from Fred L. Drake, Jr.  <fdrake@acm.org>.)

	* cvs.texinfo: Change the wording of some of the commit index entries
	for consistency and clarity.
	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated using Automake 1.6.3.

2002-09-24  Derek Price  <derek@ximbiot.com>

	* Makefile.in: Regenerated.

2002-09-20  Derek Price  <derek@ximbiot.com>

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2002-08-16  Derek Price  <derek@ximbiot.com>

	* cvs.texinfo (Error messages): Update CVS_BADROOT notes to specify
	new configure option instead.

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2002-08-12  Derek Price  <oberon@umich.edu>

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2002-08-06  Derek Price  <oberon@umich.edu>

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2002-08-05  Derek Price  <oberon@umich.edu>

	* cvs.texinfo: Correct typo.
	(Thanks to Chandra Mouleeswaran <chandra@openharbor.com>.)

2002-04-30  Derek Price  <oberon@umich.edu>

	* Makefile.in: Regenerated with automake 1.6.

2002-04-18  Derek Price  <oberon@umich.edu>

	* Makefile.am: Add FIXME comment about an automake bug.
	* Makefile.in: Regenerated.

2002-04-18  Derek Price  <oberon@umich.edu>

	* stamp-1: Regenerated for 1.11.2.1 version update.
	* stamp-vti: Ditto.
	* version-client.texi: Ditto.
	* version.texi: Ditto.

2002-04-17  Derek Price  <oberon@umich.edu>

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2002-04-17  Derek Price  <oberon@umich.edu>

	* cvs.texinfo: Add index entries for inetd and xinetd.

2002-03-26  Derek Price  <oberon@umich.edu>

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2002-03-17  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (log options): Add new -S option.

2002-03-12  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (diff options): Add missing menu for new subsections.
	(Patch from Pavel Roskin <proski@gnu.org>.)

2002-03-09  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Update imports): Suggest merging with two rel tags
	instead of the branch tag and a date and explain why.

2002-02-26  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (diff options): Document all the diff options.

2002-01-10  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (log options): Update -r :: to match code changes.
	(Variables): Document LOGNAME and USER environment variables.

2001-12-03  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Invoking CVS): Add -F option for annotate and
	rannotate.

2001-11-28  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (File permissions): Add note about SGID being required
	on some systems.  Add note about LockDir.

2001-10-18  Derek Price  <dprice@collab.net>

	* Makefile.am: Add --batch to texi2dvi invocations.
	(Thanks to Akim Demaille <akim@epita.fr> for the suggestion.)

	* Makefile.in: Regenerated.

2001-10-04  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Connecting via rsh): Add : between host name and
	root directory in example since some versions of CVS require it.
	(Reported by Trevor Jim <trevor@research.att.com>.)

2001-09-14  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (commit files): Make following sections (commitinfo,
	verifymsg, editinfo, and loginfo) subsections of this one.

2001-09-06  Derek Price  <dprice@collab.net>

	* cvs.texinfo (Watch information):  Cleanup some watch/edit
	explanations and discourage the belief that files should be
	releasable.

	* stamp-vti: Regenerated.
	* version.texi: Ditto.
	(Patch from Eric Siegerman <erics@telepres.com>.)

2001-09-05  Derek Price  <dprice@collab.net>

	* cvsclient.texi: Use version-client.texi instead of version.texi so
	cvsclient.* can have a different build date than cvs.texinfo.

	* Makefile.in: Regenerated.
	* stamp-1: New file.
	* version-client.texi: Ditto.
	(Reported by Alexey Mahotkin <alexm@hsys.msk.ru>.)

2001-09-04  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with automake 1.5.
	* version.texi: Ditto.

2001-08-24  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Error messages): Add new message about root not
	being allowed to do commit.

2001-08-24  Derek Price  <dprice@collab.net>

	* cvs.texinfo (config): Add a new RereadLogAfterVerify
	CVSROOT/config option to control how verifymsg scripts deal with
	read-write log messages.
	(Patch from Mark D. Baushke  <mdb@cvshome.org>.)

	* cvs.texinfo (verifymsg): The verification script may now modify
	the log message.
	(Patch from Mark D. Baushke  <mdb@cvshome.org>.)

	* cvs.texinfo (config, verifymsg): Correct default, changes for clarity,
	and add a warning about `stat' and large repositories.

	* version.texi: Regenerated.
	* stamp-vti: Ditto.

2001-08-20  Derek Price  <dprice@collab.net>

	* Makefile.am: Reformat comment for 80 chars.

	* Makefile.in: Regenerated.

2001-08-10  Derek Price  <dprice@collab.net>

	* cvs.texinfo (Default options and the ~/.cvsrc file): Added a few more
	"standard" options to the example.

	* stamp-vti: Regenerated.
	* version.texi: Ditto.

2001-08-06  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated.

2001-07-17  Derek Price  <dprice@collab.net>

	* version.texi: Regenerated.
	* stamp-vti: Ditto.

2001-07-06  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Variables): Add index entry for CVS_USER.
	(Reported by Jens Schweikhardt <Jens.Schweikhardt@marconi.com>.)
	(Working directory storage): Fix Emptydir index entry: Emptydir
	is a directory, not a file.

2001-07-05  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Working directory storage): Add Emptydir to index.

2001-07-04  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated with new Automake release candidate 1.4h.

2001-06-28  Derek Price  <dprice@collab.net>

	* Makefile.am: Reference to CVSvn.texi removed.
	* cvs.texinfo: @include version.texi and change CVSVN to VERSION.
	* cvsclient.texi: Ditto.

	* version.texi: New file.
	* stamp-vti: Ditto.
	* mdate-sh: New File.  Work-around bug in Automake 1.4f by copying
	top-level mdate-sh here.

	* CVSvn.texi.in: Removed.
	* CVSvn.texi: Ditto.

	* Makefile.in: Regenerated.
	(Patch from Alexey Mahotkin <alexm@hsys.msk.ru>.)

2001-06-27  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (loginfo): Note that format string expansion is
	quoted and contains escapes.

2001-06-22  Derek Price  <dprice@collab.net>

        * cvs.texinfo (checkout options): Fix transliteration typo in co
        example.
	(Patch from Adrian Aichner <adrian@xemacs.org>.)

2001-06-12  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Global options): Note that -T only affects the local
	process in client/server mode.
	(Environment variables): Note that CVS_SERVER can include arguments
	as well as a program name, and note that it applies to :fork: as well
	as to :ext: and :server:, although the default value is different.

2001-06-08  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (config): Mention using LockDir on in-memory
	filesystem to speed up locking.

2001-06-07  Derek Price  <dprice@collab.net>

	* Makefile.am (EXTRA_DIST): Remove *.aux.
	(MOSTLYCLEAN_FILES): Remove this macro since the Automake bug it was
	working around has been fixed.

2001-06-07  Derek Price  <dprice@collab.net>

	* HACKING.DOCS: Add link to the main texinfo documentation.

2001-06-07  Derek Price  <dprice@collab.net>

	* README.DOCS: Rename to
	* HACKING.DOCS: this.

2001-06-07  Derek Price  <dprice@collab.net>

	* README.DOCS: New file attempting to document some of our texinfo
	conventions.

2001-06-06  Derek Price  <dprice@collab.net>

	(Reformatting, rewording, & additions to a patch from
	Stephen Cameron <steve.cameron@compaq.com>.)

	* cvs.texinfo (Invoking cvs, Modifying tags)
	  document new -B option of rtag and tag commands.

2001-06-04  Derek Price  <dprice@collab.net>

	* Makefile.am: Remove commented out DISTFILES &
	AUTOMAKE_OPTIONS=no-texinfo.tex.
	(Reported by Alexey Mahotkin <alexm@hsys.msk.ru>.)
	* Makefile.in: Regenerated.

2001-06-04  Larry Jones  <larry.jones@sdrc.com>

	* Makefile.am: Fix rules for cvs-paper (.pdf rule actually generated
	.ps and vice versa).
	(Reported by Alexey Mahotkin <alexm@hsys.msk.ru>.)
	* Makefile.in: Regenerated.

2001-05-29  Derek Price  <dprice@collab.net>

	* cvs.texinfo (Repository): Fix explanation of CVSROOT parsing
	algorithm.

2001-05-29  Derek Price  <dprice@collab.net>
	patch from Pavel Roskin  <proski@gnu.org>

	* Makefile.am (CVSvn.texi): Double hash comment in rule since single
	hash comments are not portable.

	* Makefile.in: Regenerated.

2001-05-21  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Error messages): Fix ordering; add "cannot commit
	files as root".

	* cvs.texinfo (Invoking CVS): Add entries for kserver, pserver,
	rannotate, rlog, and server.

	* cvs.texinfo: Lots of minor editorial corrections.  Mostly adding
	@noindent after examples where the following text is intended to
	be a continuation of the preceding text, not a new paragraph.

	* cvs.texinfo (Connection): Replace information about unsetting
	$HOME for people with old releases.


	* cvs.texinfo (Connecting via rsh): Use @samp{} instead of @file{}
	where it seemed appropriate.
	(Patch from Alexey Mahotkin <alexm@hsys.msk.ru>).

2001-05-18  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Password authentication server): Add xinetd info.
	(Connection): Add "broken pipe" to possible error messages.

2001-05-18  Derek Price  <dprice@collab.net>

	* cvs.texinfo (update output): Change wording to something that sounds
	a bit more like english.

2001-05-02  Derek Price  <dprice@collab.net>

	* cvs.texinfo (Top): Change @ifinfo to @ifnottex to placate HTML
	generators.

2001-04-27  Derek Price  <dprice@collab.net>

	* CVSvn.texi: Regenerated.

2001-04-27  Derek Price  <dprice@collab.net>

	* CVSvn.texi: Regenerated.

2001-04-25  Derek Price  <dprice@collab.net>

	* Makefile.in: Regenerated using AM 1.4e as of today at 18:10 -0400.
	* CVSvn.texi: Regenerated.

2001-03-30  Larry Jones  <larry.jones@sdrc.com>

	* cvsclient.texi (Dates, Requests): Add rannotate and rlog.

2001-03-26  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (admin options): Fix typo: should be @pxref, not @xref.

2001-03-26  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (admin options): Update description of -u option to
	refer back to notify.

2001-03-23  Derek Price  <derek.price@openavenue.com>

	* Makefile.am (ps):  Make 'ps' an alias for 'doc'.
	(doc, pdf, ps, txt): declare as '.PHONY'.

	* Makefile.in:  Regenerated.

2001-03-23  Derek Price  <derek.price@openavenue.com>

	* Makefile.am (MOSTLYCLEANFILES):  Add cvs.cps & cvs.fns as a temporary
	workaround for an Automake deficiency.

	* Makefile.in:  Regenerated.

2001-03-14  Derek Price  <derek.price@openavenue.com>

	* Makefile.in: Regenerated

2001-02-20  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (BUGS): There's only one company listed now, not two.

2001-02-13  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Password authentication server, First import): Use
	@ref instead of @xref when not at the beginning of a sentence.

2001-02-01  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Connection): Add still more notes about common
	pserver error messages.

2001-01-18  Derek Price  <derek.price@openavenue.com>

	* cvs.texinfo (Quick reference to CVS commands): add index entry for
	version subcommand

2001-01-18  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (log options): Document new :: syntax for -r.

2001-01-10  Derek Price  <derek.price@openavenue.com>

	* Makefile.am (CVSvn.texi): specify $(srcdir) explicitly in target rule
	so CVSvn.texi gets built properly for all makes.
	(cvs_TEXINFOS): specify $(srcdir) explicitly for CVSvn.texi
	(cvsclient_TEXINFOS): ditto
	* Makefile.in: regenerated

2000-12-26  Derek Price  <derek.price@openavenue.com>

	* Makefile.in: update timestamp
	* CVSvn.texi: ditto

2000-12-26  Derek Price  <derek.price@openavenue.com>

	* Makefile.am: new target for creation of CVSvn.texi
	(EXTRA_DIST): add CVSvn.texi.in & CVSvn.texi
	* Makefile.in: Regenerated
	* CVSvn.texi: new file
	* .cvsignore: remove CVSvn.texi since it is now included in dist

2000-12-22  Derek Price  <derek.price@openavenue.com>

	* Makefile.in: Regenerated

2000-12-21  Derek Price  <derek.price@openavenue.com>

	* cvs-paper.ps: Backout accidental regeneration.

2000-12-21  Derek Price  <derek.price@openavenue.com>

	* .cvsignore: Added *.pdf versions of the *.ps docs
	* CVSvn.texi.in: Use configure to generate CVSvn.texi
	* Makefile.am: New file needed by Automake
	* Makefile.in: Regenerated
	* cvs-paper.ps: Regenerated
	* texinfo.tex: New file added to placate Automake.  Apparently, its
	inclusion is mandated by the GNU coding standards.

2000-12-14  Derek Price  <derek.price@openavenue.com>
	    Linus Tolke  <linus@epact.se>

	* cvs.texinfo (Merging a branch): changed some references to "BRANCH"
	to "BRANCHNAME" for consistancy.  Add a warning about merging using a
	single tagname reference with an xref to "Merging adds and removals"
	for the long explanation
	(Merging adds and removals): Add the long explanation of why merging
	from a single tagname can be tricky
	(update): Add a warning about merging using a single tagname reference
	with an xref to "Merging adds and removals" for the long explanation
	
2000-11-13  Derek Price  <derek.price@openavenue.com>

	* cvs.texinfo: use '@sc{cvs}' instead of 'CVS' in various locations

2000-11-08  Derek Price  <derek.price@openavenue.com>

	* cvs.texinfo (settitle): stick a 'v' in front of the version number
	to make it harder to confuse with chapter, section, and page numbers.

2000-11-08  Derek Price  <derek.price@openavenue.com>

	* cvs.texinfo (settitle): add the version number to the title string
	so that it is easier to find on HTML pages and the like.

2000-10-20  Jim Kingdon  <http://sourceforge.net/users/kingdon/>

	* cvs.texinfo (Variables): Document CVS_USER.

2000-10-17  Derek Price  <derek.price@openavenue.com>

	* cvs.texinfo (Remote repositories): added a comment about specifying
	a password in the repository name when performaing a checkout.

2000-10-17  Derek Price  <derek.price@openavenue.com>

	* cvs.texinfo (Remote repositories, password authenticated, GSSAPI
	authenticated, Kerberos authenticated, Environment variables):
	Documented CVSROOT spec change & CVS_CLIENT_PORT.

2000-10-10  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Connection): Add additional notes about common
	pserver error messages.  Remove information about unsetting $HOME
	since CVS no longer pays any attention to it in server mode.

2000-09-07  Larry Jones  <larry.jones@sdrc.com>

	* Makefile.in: Use @bindir@, @libdir@, @infodir@, and @mandir@
	from autoconf.

2000-08-21  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Removing directories, export): Note that export always
	prunes directories and remove references to the non-existent -P flag.

2000-07-28  Larry Jones  <larry.jones@sdrc.com>

	* cvsclient.texi (Requests): Ensure that all rootless requests say
	that they're rootless.

2000-07-12  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Module program options): Remove note that commit and
	update programs only working locally; they've worked client/server
	for quite some time.

2000-07-10  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Invoking CVS): Document new version command.
	* cvsclient.texi (Requests): Document new version request.

2000-07-06  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (admin options): Remove note about -t not working
	in client/server.

2000-04-03  Pavel Roskin  <pavel_roskin@geocities.com>

	* cvs.texinfo (Telling CVS to notify you): Remove backslashes
	before quotes.

2000-05-24  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (From files): Clean up @var{wdir}/@var{rdir} vs.
	@var{dir} usage.

2000-05-19  Larry Jones  <larry.jones@sdrc.com>

	* cvsclient.texi (Requests): Note that Global_option is now
	valid without Root.

2000-04-17  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Variables): Clarify what USER means in pserver.

2000-03-08  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Connection): Add note about inetd rate limit.
	(ErrorMessages): Add root home directory permission messages.

2000-02-12  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo: Clean up text/formatting of previous change.

2000-02-21  K.J. Paradise <kj@sourcegear.com>

	* cvs.texinfo : Adding John Cavanaugh's patch to allow 
	the history file to log actions based on the CVSROOT/config
	file.  (To limit which cvs actions actually make it into the 
	history file)

2000-02-17  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo: Remove references to PreservePermissions.

	* cvs.texinfo (history options): Note default report type.

2000-01-18  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Global options): Document compression levels.

2000-01-18  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo: Minor editorial changes from Ken Foskey
	<waratah@zip.com.au>.

2000-01-11  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo: Add index entries for "Compression" and "Gzip".
	Correct typography in many index entries (English phrases should
	have initial caps, subcommands/files/etc. should be as-is).

2000-01-10  Karl Fogel  <kfogel@red-bean.com>

	* cvs.texinfo (loginfo): correctly describe CVSROOT/loginfo's
	%-expansion behavior.  Thanks to Karl Heinz Marbaise
	<kama@hippo.fido.de> for noticing the error.

2000-01-07  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Password authentication server): Use -f in example
	inetd.conf line.
	(Connection): Add advice about using shell script or env to avoid
	problems with inetd setting HOME in the server's environment.
	(various): Use @file for inetd.conf.

2000-01-02  John P Cavanaugh <cavanaug@sr.hp.com>

	* cvs.texinfo: document new -C option to update, now that it works
	both remotely and locally.
	(Re-applied by Karl Fogel <kfogel@red-bean.com>.)

1999-12-11  Karl Fogel  <kfogel@red-bean.com>

	* Revert previous change -- it doesn't work remotely yet.

1999-12-10  John P Cavanaugh <cavanaug@sr.hp.com>

	* cvs.texinfo: document new -C option to update.
	(Applied by Karl Fogel <kfogel@red-bean.com>.)

1999-11-20  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo(history options): Document -f, -n, and -z.

1999-11-09  Jim Kingdon  <http://developer.redhat.com/>

	* cvsclient.texi (Requests): Document the arguments to "log", now
	that I've changed log.c to be more specific in terms of what it
	will send.

1999-11-05  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo: Revert Karl's change once again since the code is now
	fixed.  Add "Variables" and "User variables" to index.

1999-11-04  Karl Fogel  <kfogel@red-bean.com>

	* log.c (log_usage): Revert Jim Kingdon's reversion of my change
	of 1999-11-03.  Allowing a space between option and argument
	results in lossage; here is a reproduction recipe: run this from
	the top of a remote copy of the cvs source tree

	   cvs log -d '>1999-03-01' > log-out.with-space

	and then run this (note there's no space after -d now):
	
	   cvs log -d'>1999-03-01' > log-out.no-space

	The resulting files differ; furthermore, a glance at the output of
	cvs shows that the first command failed to recurse into
	subdirectories.  Until this misbehavior can be fixed in the source
	code, the documentation should reflect the true state of affairs:
	if one simply omits the space, everything works fine.

1999-11-04  Jim Kingdon  <http://developer.redhat.com/>

	* cvs.texinfo (log options): Revert Karl's change regarding -d and
	-s.  A space is allowed (see sanity.sh for example).

	* cvs.texinfo (Password authentication server): The name of the
	file is "passwd" not "password".

	* cvsclient.texi (Top): Add @dircategory and @direntry.

1999-11-04  Karl Fogel  <kfogel@red-bean.com>

	* cvs.texinfo (Password authentication server, Password
	authentication client): Rewritten to accommodate the [new]
	possibility of empty passwords.

1999-11-03  Karl Fogel  <kfogel@red-bean.com>

	* cvs.texinfo (Invoking CVS): correct documentation for -d and -s
	options (as did elsewhere, earlier today).

1999-11-03  Karl Fogel  <kfogel@red-bean.com>

	* cvs.texinfo (Setting a watch): describe `watch off' behavior
	more accurately.

1999-11-03  Karl Fogel  <kfogel@red-bean.com>

	* cvs.texinfo (log options): correct documentation for -d and -s
	options.  There can be no space between these options and their
	arguments.

	Also, make sure all @sc{cvs} codes refer to "cvs" in lower case;
	this avoids makeinfo warnings.  And use @code for the CVSEDITOR
	environment variable, not @sc.

1999-09-24  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo: Misc. formatting cleanups.

1999-07-16  Tom Tromey  <tromey@cygnus.com>

	* cvs.texinfo (admin): Mention admin -k exception.  Add cvsadmin
	to index.

1999-07-14  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo (Password authentication server): Note inetd limits
	and suggest using shell script to avoid.

1999-06-01  Jim Kingdon  <http://www.cyclic.com>

	* cvsclient.texi (Requests): For the import command, the
	repository given to the Directory requests is ignored.

1999-05-27  Jim Kingdon  <http://www.cyclic.com>

	* cvsclient.texi (Requests): Clarify that Modified, Is-modified,
	Notify and Unchanged must specify a file within the current
	directory.

1999-05-24  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (checkoutlist): New node, contains more complete
	documentation of this feature.
	(CVSROOT storage): Refer to the new node when mentioning
	checkoutlist.
	(Administrative files): Update the menu entry for Wrappers.

1999-05-17  Jim Kingdon  <http://www.cyclic.com>

	* cvsclient.texi (Requests): For Notify request, strike duplicate
	"Response expected: no" and fix "a edit" -> "an edit".

1999-05-14  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Working directory storage): Try to be more clear
	about the conflict field.

1999-05-11  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (config): Use comma after @xref (thanks to Pavel
	Roskin for the report/fix).

1999-05-10  Jim Kingdon  <http://www.cyclic.com>

	* cvsclient.texi (Requests): Document restrictions on characters
	in Notify requests.

1999-05-04  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Password authentication security): Remove sentence
	about how no one has audited pserver for holes; a lot of holes
	have been closed, looking for, &c, since that was written.
	In the summary, reword to reflect the fact that sniffing a
	readonly password does not imply general system access (as far as
	I know, of course).

	* cvs.texinfo (Connection): Also suggest inetd -d.

1999-04-28  Jim Kingdon  <http://www.cyclic.com>

	* cvsclient.texi (Requests): Say what goes in the "watches" field
	of the "Notify" request.

	* cvs.texinfo (Common options): -r is for branches too.

	* cvs.texinfo (Error messages): Add "no such tag" message.
	(Common options): -f does not override val-tags check.

1999-04-26  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Locks): #cvs.rfl locks must start with "#cvs.rfl."
	not just "#cvs.rfl".  As far as I know CVS has always implemented
	the former behavior, and this just fixes the documentation.

1999-04-23  Yoshiki Hayashi of u-tokyo.ac.jp

	* cvs.texinfo (verifymsg): Correct wrong file name (bugid.edit ->
	bugid.verify).

1999-04-22  Jim Kingdon  <http://www.cyclic.com>

	* cvsclient.texi (Responses): The text in the "M" response is not
	designed for machine parsing.  Likewise for "error" in regular
	protocol.  Likewise for "E" and "error" in authentication protocol.

1999-04-19  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Error messages): Add "Cannot check out files into
	the repository itself".

1999-04-16  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Other problems): Add the Windows problem with home
	directory ending in a slash.

1999-04-14  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (CVS in repository): Include the format of the
	fileattr file here, rather than referring to the CVS source code.

1999-04-09  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Working directory storage): Whether the timestamp
	in CVS/Entries is local or universal actually depends on the system.

1999-04-05  Derek Price
	<http://www-personal.engin.umich.edu/~oberon/resume.html>

	* cvs.texinfo (export options): Remove notation that the -r
	tag is sticky.  'cvs export' doesn't store that data.

1999-04-08  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Error messages): Add "EOF in RCS file" and
	"unexpected EOF" (in RCS file) messages.

1999-03-25  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (admin options): Say there can be no space between
	-e and its argument (since the previous sentence said the argument
	can be omitted, this is the only possibility).

1999-02-26  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Merging and keywords): When including conflict
	markers, put @asis{} at the start of the line, in case this file
	itself is in CVS.  Thanks to Derek Price for pointing this out.

1999-02-25  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo: Refer to "keywords" not "RCS keywords".  We had
	only used the latter term in a few places, and it seems like a
	somewhat odd term in that this style of keyword is by no means
	specific to RCS.
	(Merging a branch): Remove spurious ")".  Use ref, not xref, after
	"see".
	(Merging a branch, Substitution modes): Make sure that @ref is
	followed by comma, since info wants that.
	(Merging and keywords): Use samp not code for "-kk".  Something of
	a judgement call, but the rest of the manual uses samp and that
	seems better to me.
	(Merging and keywords): Rewrite, to (a) better motivate the
	discussion based on what the user wants to do, (b) fix up lots of
	convoluted sentences, (c) move the discussion of the binary files
	to the end, that is get across the basic idea first and then
	embellish it.  Remove a few unnecessary index entries.  Expand
	example.  Just tell people to avoid -kk with binary files (comment
	out the discussion of using -A after the commit).

1999-01-29  Derek Price
	<http://www-personal.engin.umich.edu/~oberon/resume.html>

	* cvs.texinfo:  Added new node/section on merging and keywords.  It
	contains advice on how to avoid RCS keyword conflicts when merging
	and avoid corrupting your binary files while doing it.

1999-02-24  Jim Kingdon  <http://www.cyclic.com>

	* cvsclient.texi (Request intro): Add paragraph about transmitting
	more than one command.

1999-01-29  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo: Use EXAMPLE.COM EXAMPLE.ORG and EXAMPLE.NET instead
	of domains which might conflict with actual (current or future)
	domains.  The EXAMPLE domains are registered for this purpose.

1999-01-22  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Sticky tags): Refer to -j as the better way to undo
	a change.
	(Merging two revisions): Also talk about undoing removals and
	adds.  Move the index entries to here.

1999-01-21  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Error messages): Add "waiting for USER's lock".

1999-01-16  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Wrappers): Comment out all the -t/-f documentation,
	since that feature is currently disabled.

1999-01-14  Jim Kingdon  <http://www.cyclic.com>

	* cvs.texinfo (Connecting via rsh): Add some more index entries so
	that people who want to use SSH and such are slightly less lost.

1999-01-12  Jim Kingdon  <http://www.cyclic.com>

	* cvs-paper.ms: Remove comments which contained the FSF's old
	address; it has changed.

1998-12-29  Jim Kingdon  <http://www.cyclic.com>

	* cvsclient.texi (Dates): Numeric timezones are preferred.
	Also mention the Checkin-time request.

1998-12-23  Jim Kingdon  <http://www.cyclic.com>

	* RCSFILES: Add clarification about certain character set issues
	from Paul Eggert, the RCS maintainer.  The last paragraph and the
	change from Shift-JIS to JIS as an example of a character set
	which contains 0x40 bytes which are not '@' characters are mine;
	the rest is directly from Paul Eggert.

1998-12-22  Martin Buchholz  <martin@xemacs.org>

	* cvs.texinfo: Fixed various trivial typos.

1998-12-17  Jim Kingdon

	* cvsclient.texi (Responses): Explicitly say that Mod-time need
	not be sent for all files.

1998-12-16  Jim Kingdon

	Thanks to Ram Rajadhyaksha of the MacCVS Pro team for raising the
	following issues.
	* cvs.texinfo (Working directory storage): The deal about storing
	files as text files applies to all the CVS/* files, not just
	CVS/Entries.  State the rationale too.
	Document CVSROOT/Emptydir in CVS/Repository.
	There is no set order in CVS/Entries.
	Explicitly say that writing Entries.Log is optional.

1998-12-03  Jim Kingdon

	* cvs.texinfo (Error messages): Add "unrecognized auth response".
	(Password authentication server): Remove comment about
	"unrecognized auth response" and link to the troubleshooting
	section.

1998-12-02  Jim Kingdon

	* cvs.texinfo (Multiple repositories): Add an example.

1998-11-18  Jim Kingdon

	* cvs.texinfo (Invoking CVS): Change "-r tag" to "-r rev".  We
	already use "tag" as the name of the tag we are adding.

1998-11-13  Jim Kingdon

	* cvs.texinfo (CVS commands): Add comment about whether part of
	the manual should be organized by command.

1998-11-06  Jim Kingdon

	Clean up various confusions between modules and directories:
	* cvs.texinfo: In "are you sure you want to release" message,
	change module to directory.  CVS was changed some time ago.
	(Tags): "working copy of the module" -> "working directory".
	(Merging two revisions): Remove unnecessary text "that make up a
	module".
	(Recursive behavior): Change "module" to "directory".
	(Removing files): Likewise.
	(Tracking sources): Remove "a module" from titles.
	(Moving directories): Change "module" to "parent-dir".
	(Inside): Remove "of the module".
	(Inside): Change "module" to "dir".
	(Rename by copying): Change "module" to "dir".
	(Rename by copying): Remove "of the module".
	(Moving directories): "copy of the module" -> "checked out copy of
	the directory"; remove second "of the module".  Change "check out
	the module" to " check out again".
	(Moving directories): Remove "of the module".
	(Keyword substitution): "your working copy of a module" -> "a
	working directory".
	(CVS commands): Change "module" to "directory".
	(release examples): "module" -> "tc directory".
	(commitinfo): "relative path to the module" -> "directory in the
	repository".
	(verifymsg): Change "module" to "directory".
	(Updating a file): "working copy of a module" -> "working directory".

1998-10-25  Jim Kingdon

	* cvs.texinfo (Branches and revisions): Fix error in branch
	numbering which was introduced with change of 4 May 1997.

1998-10-20  Jim Kingdon

	* cvs.texinfo (Tags): Point to Invoking CVS node so people aren't
	left wondering what the syntax is.  When introducing -r option,
	warn people about sticky tags right off.
	(Tagging the working directory, Tagging by date/tag, Modifying
	tags, Tagging add/remove): New sections.
	(Invoking CVS): Adjust tag and rtag to point to the new sections,
	and to add tag -c which had been omitted.  Delete tag -n; there is
	no such option.
	(rtag, tag): Removed; no longer needed.
	(commit examples): Update xref.

1998-10-15  Jim Kingdon

	* cvsclient.texi (Requests): It is OK to send Set before Root.

1998-10-13  Jim Kingdon

	* cvsclient.texi (Protocol Notes): Remove item about "cvs update"
	sending modified files to the server; there are some better ideas
	at http://www.cyclic.com/cvs/dev-update.txt
	Add mention of www.cyclic.com.

1998-09-30  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Committing your changes, Environment variables):
	Document VISUAL.

1998-09-27  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Password authentication server): Say explicitly
	that you edit passwd directly, many users get confused by this.

1998-09-24  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Connecting via fork): :fork: may be of interest to
	users, for example those who prefer CVS to prompt for one log
	message per checkin, rather than one per directory.
	(Connecting via fork): Document CVS_SERVER.

1998-09-24  Noel Cragg  <noel@swish.red-bean.com>

	* cvs.texinfo (Connecting via fork): new node about the fork
	access method.

1998-09-22  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Environment variables): Document
	CVS_IGNORE_REMOTE_ROOT in the CVS 1.10 context.
	(Moving a repository): Update comments concerning surgery on
	CVS/Root and CVS/Repository files.

1998-09-21  Noel Cragg  <noel@swish.red-bean.com>

	* cvs.texinfo (Environment variables): remove information about
	CVS_IGNORE_REMOTE_ROOT, since it's no longer used.

1998-09-21  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (config): Mention that CVS 1.10 doesn't have
	LockDir.

1998-09-18  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Keyword list): Describe $Name and checking out with
	a revision.

1998-09-16  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: RFC2346 is out; update comment.

1998-09-13  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Keyword list, Substitution modes): In describing
	$Locker and -kkvl, refer to cvs admin -l.

	* cvsclient.texi (Requests): Re-word description of Sticky to
	allow room for "Ntagname" (or other, future, values).

	* cvs.texinfo (tag): Remove confusing wording about supplying
	revision numbers "implicitly".

1998-09-10  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (rdiff options): Thanks to the diff library, -u is
	supported regardless of your diff program.

1998-09-07  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (config): Add LockDir.

1998-09-01  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): "Directory" and "Argument" are
	requests, not commands.  Likewise for "other-request".  A command,
	roughly, is a request that uses "Argument"s, but we might want to
	phase out the use of that term more so than codify it, I'm not sure.

1998-09-01  Noel Cragg  <noel@swish.red-bean.com>

	* cvsclient.texi (Requests): added a detailed explanation of the
	Directory request and how it is handled, both for pre-1.10 and
	post-1.10 servers.

1998-09-01  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Multiple repositories): Also describe the CVS 1.10
	behavior.  Looking at a mismatched version of the manual seems to
	be a reasonably common occurrence.

	* cvs.texinfo (Environment variables): Revert change regarding
	CVS_SERVER_SLEEP*; having that kind of debugging code in the main
	CVS is getting out of hand.

1998-09-01  Noel Cragg  <noel@swish.red-bean.com>

	* cvs.texinfo (Multiple repositories): brief mention that cvs now
	handles a working directory composed of multiple repositories.
	(Environment variables): add note about CVS_SERVER_SLEEP2.

1998-08-21  Ian Lance Taylor  <ian@cygnus.com>

	* cvsclient.texi (Text tags): Document importmergecmd tag.

1998-08-20  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Common options): Replace out of date URL concerning
	ISO8601 dates with a more general statement and a few comments.

1998-08-18  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Add "Checkin-time" request.

Sun Jul 26 02:42:20 1998  Noel Cragg  <noel@swish.red-bean.com>

	* cvs.texinfo (config): TopLevelAdmin variable.

	* cvsclient.texi (Requests): fix typo.

1998-07-14  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): "remove" is like "add" in the sense
	that it is the "ci" request which does most of the work.

1998-06-23  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Excluding directories): Fix order of
	"!first-dir/sdir" and "first-dir" to match what CVS actually
	accepts.  Reported by Tim McIntosh of sterling.com.

1998-06-09  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Using keywords): Rewrite to be less specific to
	source code in C.  The old text was worse than that; it was
	specific to certain versions of GCC (not even current GCC's, I
	don't think) (reported most recently by Mitchell Perilstein;
	if memory serves by others before that).

1998-06-08  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Concurrency): Also mention #cvs.lock.  Don't
	mention #cvs.tfl; it is quite old (before CVS 1.5).
	(Locks, Backing up, Concurrency): Add more index entries.

1998-06-03  Ian Lance Taylor  <ian@cygnus.com>

	* cvs.texinfo (Tracking sources): Clarify that the vendor branch
	is only made the head revision when you import a new file, not any
	time you import a file.

1998-05-23  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (What is CVS?): info-cvs-request is now at gnu.org
	and is no longer handled by a human (hallelujah).

1998-05-12  Jim Meyering  <meyering@ascend.com>

	* cvs.texinfo: Add an info dir entry.
	Remove trailing white space.

1998-05-05  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Wrappers): Be more explicit that -m 'COPY' has no
	effect on binary files.

1998-05-02  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* RCSFILES: Add more discussion of the order of the revisions.

1998-04-27  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (loginfo example): Also give example of sending
	mail.  Use internal variable $USER rather than expecting CVS to
	set the environment variable $USER.  Change unnecessary 'sed'
	invocation to 'cat' (it suffered from the same problem in terms of
	internal variables versus environment variables).

	* cvs.texinfo (Error messages): Add "conflict: removed FILE was
	modified by second party".

1998-04-20  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Common options): Update comment about meaning of
	HEAD in cvs diff.

1998-04-12  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Dates): Also mention log -d.

	* cvs.texinfo (Invoking CVS): No space is allowed between -r or -w
	and its argument, for the log command.

1998-04-11  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Dates): New section, explaining the deal with
	date formats.

1998-04-09  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Global options, Invoking CVS): Fix typo
	("files files" -> "files").
	(Invoking CVS): Make -q and -Q more concise.
	(Invoking CVS): Use @var for metavariables in "diff -r".

1998-03-17  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (~/.cvsrc): In example, put "checkout" rather than
	"co" into .cvsrc; we just finished explaining that only the former
	works!  Thanks to Lenny Foner for reporting this.

	* cvs.texinfo (Copying): Remove this node.  This basically
	restores the status quo prior to 18 Oct 1996 (before then the node
	existed but was empty).
	(before Top): Adjust copyright notice accordingly.

1998-03-12  Tim Pierce  <twp@skepsis.com>

	* RCSFILES: Updated description of `hardlinks' newphrases.

1998-03-07  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Tags, Sticky tags, Creating a branch, Accessing
	branches): Rename release-0-1 tag to rel-0-1 and likewise for
	release-0-1-patches and release-0-4.  This fixes an overfull hbox.
	(diff options): Reformat table to fix underfull hboxes and such.

1998-03-07  Tim Pierce  <twp@skepsis.com>

	* cvs.texinfo (Editing files, Special Files): Document hardlinks.
	Various cleanups to PreservePermissions text.
	* RCSFILES: Document PreservePermissions newphrases.

1998-03-04  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Special Files): Add notes about client/server CVS
	and hard links across directories.

1998-03-01  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Keeping a checked out copy): The magic loginfo
	incantation isn't too likely to work except on unix.

1998-02-23  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (user-defined logging): Double "@" literal.

1998-02-18  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (user-defined logging): Add taginfo example.

1998-02-04  Tim Pierce  <twp@skepsis.com>

	* cvs.texinfo (config): PreservePermissions variable.
	(Special Files): New.
	(Editing files): Add note about PreservePermissions.

Tue Feb 10 18:07:35 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Connection): New node.

	* cvsclient.texi (Protocol): Fix typo (lots -> lost).

Sun Feb  8 21:39:22 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Invoking CVS): For admin -b, point to the section
	where we talk about reverting to vendor branch.

	* cvs.texinfo (Invoking CVS, rdiff options): Document rdiff -V
	option as obsolete, since it was made a fatal error some time ago.

	* cvs.texinfo (Invoking CVS): Add global options, keywords, and
	keyword substitution modes.  Wording fix in reference to --help
	and Index.

Wed Jan 28 23:09:39 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Excluding directories): Add index entry for "!".

28 Jan 1998  Karl Fogel and Jim Kingdon

	* cvsclient.texi (Requests, Responses): document
	"wrapper-sendme-rcsOptions" and "Wrapper-rcsOption".

Tue Jan 27 18:37:37 1998  Ian Lance Taylor  <ian@cygnus.com>

	* cvs.texinfo (Excluding directories): New node, documenting how
	to exclude directories using ! in an alias module.

Sun Jan 18 18:23:02 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Add Kopt request.

Thu Jan  1 17:36:42 1998  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (BUGS, Credits): Change @unnumbered to @appendix now
	that these are moved from the start to the end.

Sat Dec 27 10:06:56 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add "Too many arguments!".

Fri Dec 26 18:30:26 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (What is CVS?): Just point to the two canonical web
	sites (Pascal Molli and Cyclic) concerning CVS downloads.  The GNU
	URL was out of date and GNU only has source distributions anyway.

	* cvs.texinfo: Change bug-cvs address to gnu.org per email from
	Martin Hamilton.

Tue Dec 23 18:04:09 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Sticky tags): Further cleanups.  Fix thinko
	(s/subsequent cvs update/& commands/).  Remove "vi driver.c" and
	commit from example (totally vestigial).  Reword start of
	paragraph on non-branch sticky tags, so that it better alludes
 	to branch sticky tags.  When introducing sticky tags, make it
	clear that even people who aren't trying to use sticky tags
	may need to know how to avoid them.  Restore comment about
	CVS/Tag files.
	(Accessing branches): Don't xref to merging here; that is a much
	more advanced topic and the "but see" wording didn't tell us what
	to see the xref about.

Tue Dec 23 14:39:08 1997  Karl Fogel  <kfogel@floss.red-bean.com>
			  and Jim Kingdon

	* cvs.texinfo (Creating a branch): Rewritten.  Introduce with
	`tag', then discuss `rtag' and `-r'.

Tue Dec 23 10:03:37 1997  Karl Fogel  <kfogel@floss.red-bean.com>
			  and Jim Kingdon

	* cvs.texinfo: Changes to dehairify the "Sticky tags" situation:
	(Revisions): "Sticky tags" moved here, description in menu changed
	to be a little more informative.
	(Sticky tags): Moved from "Branching and merging" to "Revisions".
	(Accessing branches): New node in "Branching and merging",
	explains how to use checkout vs update to retrieve a branch.
	Text and example inherited from "Sticky tags", but text mostly
	rewritten.
	(Sticky tags): Moved under "Revisions", rewritten somewhat (more
 	rewrites to follow).
	Don't use "-v" in "cvs status" example.

Mon Dec 22 11:46:05 1997  Karl Fogel  <kfogel@floss.red-bean.com>
			  and Jim Kingdon

	Cleanups related to recent separation of revisions from
	branching/merging:
	* cvs.texinfo (Revisions): Take paragraph introducing branches,
	rewrite it and move it to "Branching and merging".
	(Branching and merging): Also rewrite merging intro.
	(Revision numbers): Don't go into detail about branch revision
	numbers here, just mention that they happen and refer to new
	node "Branches and revisions".
	(Branches and revisions): New node under "Branching and merging",
	inherits text from "Revision numbers".
	(Creating a branch): Refer to "Branches and revisions" now, not
	"Revision numbers".
	(Binary why): Rewrite sentence which refers to merging, so that
	it isn't specific to branch merging.
	(Branches motivation): Fix typo (select -> elect).  Add comment
	about what this node is accomplishing, in general.

Sun Dec 21 20:57:24 1997  Karl Fogel  <kfogel@floss.red-bean.com>
			  and Jim Kingdon

	This is just moving text; related cleanups to follow.
	* cvs.texinfo: Changes to put branching and merging together, and
	keep it all separate from revisions:
 	(Revisions): Renamed from "Revisions and branches".
	(Branching and merging): Renamed from "Merging".
	(Branches motivation, Creating a branch, Sticky tags, Magic branch
	numbers): these subnodes moved to "Branching and merging" from
	"Revisions".
	everywhere: Adjusted cross-references to cope with above.

Sun Dec 21 20:36:39 1997  Karl Fogel  <kfogel@floss.red-bean.com>
			  and Jim Kingdon

	Note that this is just moving text, not changing it:
	* cvs.texinfo: divide top-level menu into sections.
	(Multiple developers, Builds, Tracking sources, Keyword
	substitution): moved to be in "CVS and the Real World" section.
	(Compatibility): moved to be in "References" section.

Mon Dec 22 08:54:31 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Example): In comment, in citing the BNF style
	used in many RFCs, cite RFC2234 not RFC822 (now that the former is
	out).

Sun Dec 21 17:42:22 1997  Karl Fogel  <kfogel@floss.red-bean.com>

	* cvs.texinfo (Overview): New node.
	(What is CVS?, A sample session): Put under Overview.
	(What is CVS not?): New node under Overview.
	  [text previously was part of "What is CVS?" -kingdon]
	(Preface): Removed this node and its contents.
	(Checklist): Removed this node and its contents.
	(Credits): Now toward end of top-level menu (was under Preface).
	(BUGS): Now toward end of top-level menu (was under Preface).

Sun Dec 14 10:14:25 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): Add MT response.
	(Text tags): New node.

	* cvs.texinfo (loginfo): Add comment about which commands run
	loginfo.

Sat Dec 13 08:41:13 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Connection and Authentication): State that
	GSSAPI is preferred to kserver.  Try to be clearer about what
	the term "pserver" means.  Introduce GSSAPI and cite the relevant
	RFCs.  Discuss the limitations of the existing features in
	preventing hijacking.

	* cvs.texinfo (GSSAPI authenticated, Kerberos authenticated):
	Briefly introduce what GSSAPI and Kerberos are.  Be slightly more
	emphatic about protecting against downgrade attacks.

Fri Dec 12 17:36:46 1997  Ian Lance Taylor  <ian@cygnus.com>

	* cvs.texinfo (GSSAPI authenticated): New node.
	(Global options): Document -a.  Mention GSSAPI in -x
	documentation.
	* cvsclient.texi (Connection and Authentication): Document GSSAPI
	authentication.
	(Requests): Add Gssapi-encrypt and Gssapi-authenticate.

Fri Dec 12 09:27:38 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (cvsignore): Add note about comments and the
	space-separated nature of the syntax.

Sun Dec  7 09:33:11 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (checkout): Clarify issues regarding updating
	existing working directories.

Sun Nov 30 20:38:17 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Wrappers): Add comment: we don't document %s.

Mon Nov 24 23:00:09 1997  Karl Fogel  <kfogel@floss.red-bean.com>
	and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi: Move Protocol Notes node to the end.

	* cvsclient.texi (Request intro): new node/section.
	(Protocol): added some introductory material.
	Rearranged menu into General Conventions, Protocol specification,
	and Example etc sections.
	(File Modes): replaces Modes, for consistency.

Sat Nov 22 12:29:58 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Entries Lines): Clarify options in entries line.

Tue Nov 18 09:23:15 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Be more explicit about "export" and
	entries lines.

	* Makefile.in (DISTFILES): Remove DIFFUTILS-2.7-BUG.

Mon Nov 17 18:20:47 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (tag options): Expand comment with reference to FAQ.

Fri Nov 14 11:02:37 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Update discussion of "dying gasps".

	* cvs.texinfo (tag options): Add FIXME comment about renaming tags.

Thu Nov 13 10:20:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Common options): Remove also has a -f option with a
	different meaning than most.

Wed Nov 12 21:57:40 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (File permissions, Connecting via rsh, Environment
	variables): When putting an environment variable in the index, say
	it is an environment variable.  Don't index the same name twice.

	* cvs.texinfo: Many edits to reflect the fact that CVS no longer
	invokes external RCS programs.

Tue Nov 11 15:15:49 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Locks, CVS in repository): New nodes, document the
	locking scheme and briefly outline CVS and CVS/fileattr.

Sun Nov  9 17:39:41 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* DIFFUTILS-2.7-BUG: Removed; the bug is fixed and the testcases
	are incorporated into sanity.sh.

Sat Nov  8 09:49:38 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Binary why): Try to be a little clearer about how
	merges fit into CVS.  Say it may be error prone to have developers
	doing merges manually.

Tue Nov  4 13:02:22 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (admin options): Add discussion of what happens if
	there are tags.

Fri Oct 31 00:04:09 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (admin options): Rewrite discussion of -o to
	hopefully be clearer and to also document the new :: syntax.
	(admin examples): Removed; incorporated into admin options.
	(Invoking CVS): Wording fix for admin -o.

	* cvs.texinfo (Binary why): New node, talks about diff and merge.
	(Binary howto): Renamed from Binary files.
	(Binary files): Now just contains an introduction.

	* cvs.texinfo (Error messages): Add "could not merge" message.  In
	discussion of "Binary files . . . differ" message, mention that
	this is only an issue with old verisons of CVS.

Thu Oct 30 15:55:21 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add "authorization failed" message.

Wed Oct 29 11:52:05 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Remove fake RCSid; we decided to remove rcsid's a
	while ago.  Cleanups suggested by Stephen Gildea (CVSROOT/passwd
	has 2 or 3 fields; /user -> /usr; noone -> no one; in used -> in
	use).  Add comment about making compilers happy about rcsids.

Sat Oct 25 00:58:24 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* RCSFILES: rcsfile.5 is correct about {num} after next being
	optional.

Wed Oct 22 10:08:27 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add message about unrecognized
	response from cvs server.

1997-10-11  Noel Cragg  <noel@swish.red-bean.com>

	* cvs.texinfo (checkout options): describe how the `-d' and `-N'
	flags really work.  Give examples.
	(export options): refer the reader to the descriptions for `-d'
	and `-N' in checkout options, since the behavior is the same.

Thu Oct  9 12:01:35 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (log options): Add comment about "cvs log -r".

Wed Oct  8 10:24:19 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (rtag options): Add comment about how this is
	confusing.

Tue Sep 30 12:31:25 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Working directory storage): Add comment about
	Entries.Static.

Thu Sep 25 23:52:57 1997  Noel Cragg  <noel@swish.red-bean.com>

	* cvsclient.texi (Responses): description of Module-expansion was
 	missing a carriage return after the @item clause.

Wed Sep 24 12:04:42 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Remote repositories): Add comment about pserver
	vs. having users create their own repositories.

Sat Sep 20 00:59:53 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Keyword list): Change title from "RCS Keywords" to
	"Keyword list" as it is CVS that expands them.
	(Avoiding substitution): Change "rcs" to "cvs", in the context of
	the program which expands keywords.

Fri Sep 19 22:57:24 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* RCSFILES: Grammar fix in first paragraph.  Re-word section on
	dead newphrase.  Add item about what it means if "expand" is omitted.

	* cvs.texinfo (Magic branch numbers): Change example branch number
	from 1.2.3 to 1.2.4; CVS assigns even branch numbers and I don't
	think vendor branches are very relevant to this example.

Wed Sep 17 17:21:33 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (admin options): Add comment about "cvs admin -b"
	(with no argument to the -b).

	* RCSFILES: "next" is optional, not required.

Tue Sep 16 15:13:22 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Binary files): Add comment about another possible
	way to auto-detect binary files.

Sun Sep 14 12:38:56 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Conflicts example): Adjust text and comments
	regarding conflict markers to reflect change in CVS.

Wed Sep 10 12:44:04 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Server requirements): Add comment about server
	disk usage in /tmp.

	* cvs.texinfo (Common options): More comments about date formats:
	"now", "yesterday", and the "3 weeks ago" family.

Tue Sep  9 13:09:58 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* DIFFUTILS-2.7-BUG: Eggert patch is preferred to Rittle one.

Sun Sep  7 18:38:23 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (history options): Revise -e to say that it includes
	future record types (and remove out of date list of what record
	types it implies).

	* cvs.texinfo (Environment variables): Expand/correct discussion
	of HOME, HOMEDRIVE, and HOMEPATH.
	(Error messages): Add "could not find out home directory".

	* cvs.texinfo (update options): Reword -r doc to hopefully be
	clearer that it takes either numeric or symbolic revision.

	* cvs.texinfo (syntax): Add comment about how regexp syntax may
	be, er, creatively altered, by configure.in.

Sat Sep  6 11:29:15 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Working directory storage): Document Baserev and
	Baserev.tmp.
	(Working directory storage): Adjust comment regarding CVS/* being
	text files.

Fri Sep  5 14:42:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (BUGS): Remove mention of unsupported resources page
	on http://www.cyclic.com, as it might go away in a future
	reorganization.

	* DIFFUTILS-2.7-BUG: Further info from Eggert.

1997-09-05  Paul Eggert  <eggert@twinsun.com>

	* DIFFUTILS-2.7-BUG: Explain how this bug will probably be
	fixed in the next diffutils release.

Thu Sep  4 17:09:57 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Binary files): Reword the section on what you need
	to do with cvs admin -kb to hopefully be a bit clearer.  Still not
	ideal (see comment).

	* cvs.texinfo (modules): Break node into separate nodes for alias
	modules, regular modules, ampersand modules, and options.  Expand
	text with more examples and explanations.  Add index entries.

Wed Sep  3 14:49:43 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Multiple developers): Add idea about cvs editors
	and reserved checkouts.

Sun Aug 31 19:36:21 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Rewrite paragraph on cvs add on a
	filename containing '/'.

Thu Aug 28 14:13:50 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (diff options): Add comment about "cvs diff"
	vs. "cvs diff -r HEAD".

	* cvs.texinfo (Global options): Add comment about -w not
	overriding cvs watch on.

Wed Aug 27 08:09:31 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Password authentication server): Grammar fix ("under
	as the username" -> "as the username").

	* cvs.texinfo: Fix doubled 'the the' typos.  Reported by
	karlb@atg.com.

Tue Aug 26 12:25:42 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Checklist): Reword xref to point to Binary files
	rather than Keyword expansion.  Credit goes to jeff@alum.mit.edu
	(Jeff Breidenbach) for reporting the problem.

Mon Aug 18 17:23:18 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (modules): Suggest taginfo instead of -t.  Add
	comment with some of the reasons.  Add comment about -u and -i
	problems.

Sat Aug 16 10:19:06 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add note about how "could not
	check out foo.c" seems to also have been observed on Irix.

Fri Aug 15 17:28:01 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add "could not check out foo.c".

Thu Aug 14 23:57:53 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Wrappers): Document new -m 'COPY' behavior.

Tue Aug 12 20:56:40 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Sticky tags): Add comment about how we should be
	documenting sticky tags.

Fri Aug  8 10:01:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (File status): Add comment about "working revision"
	in cvs status for a locally removed file.

Thu Aug  7 22:53:45 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (From other version control systems): Mention
	pvcs_to_rcs alongside sccs2rcs.

Tue Aug  5 17:22:50 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Compatibility): Add comment about how CVS probably
	could be detecting the case of dead files killed by CVS 1.3.

	* cvs.texinfo (From other version control systems): Add paragraph
	about converting from systems which don't export RCS files.

Sun Aug  3 21:03:14 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): Cite RFC1321 for MD5.

	* cvs.texinfo (A sample session): Nuke index entry for "A sample
	session".  The fact that this isn't "sample session" is totally
	bogus, but in general the table of contents is probably better for
	this entry.

	* cvs.texinfo (Error messages): Add comment about wording of error
	concerning unknown -x option.

	* cvs.texinfo (Wrappers): Add comment about absolute filter pathname.

Thu Jul 31 14:40:15 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Use @ref not @xref when reference is not at the
	start of a sentence.  Avoids capitalizing "See" when we shouldn't.
	Fixes to other similar xref problems.

Wed Jul 30 19:30:31 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Connection and Authentication): Don't use @samp
	on BEGIN AUTH REQUEST and friends.  Avoids overfull hbox.

Fri Jul 25 10:40:22 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Remove obsolete sentence regarding
	using Directory instead of Repository enabling alternate response
	syntax.

	* cvsclient.texi (Response intro): Add discussing of file updating
	responses and file update modifying responses.
	(Responses): Refer to this description rather than trying to
	describe it in each place.  The descriptions in each place were
	somewhat incomplete and didn't get updated when new file updating
	responses were added.

	* cvsclient.texi: Split node Responses into Response intro,
	Response pathnames, and Responses.

Thu Jul 24 23:13:24 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (config): Document SystemAuth.
	(Password authentication server): Mention SystemAuth.

Mon Jul 21 08:57:04 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (DISTFILES): Add DIFFUTILS-2.7-BUG.

Sun Jul 20 17:55:52 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (admin options): For options with optional
	arguments, specify that there can be no space between the option
	and its argument.  For -N, add xref to Magic branch numbers.  For
	-t, talk about reading from stdin.  Comment changes.

Sat Jul 19 22:28:47 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Preface): Make section titles more verbose.
	Likewise for the menu.

Fri Jul 18 08:41:11 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): No need for an external patch if
	server and client are current.  Add comment with more thoughts
	about messages specific to old versions of CVS.

	* cvs.texinfo (Error messages): Add "cannot start server via rcmd".

	* cvs.texinfo (Error messages): Add "cannot open CVS/Root" for cvs
	init.

	* cvs.texinfo (Error messages): Add "missing author".

Tue Jul 15 16:47:08 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Keyword list): Fix documentation of $Log to reflect
	the fact that we no longer use the comment leader.
	(admin options): Fix documentation of $Log.
	(admin examples): Remove example concerning comment leader, since
	the example no longer does what it claims to.
	(admin, admin options): Fix various parts of the documentation to
	not refer to this being implemented via RCS.  Say nastier things
	about -I and -x.  Add comments about options to "rcs" which we
	don't document.

Mon Jul 14 00:04:32 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): The "cannot change permissions on
	temporary directory" error has been happening in various test cases.

Sat Jul 12 11:12:18 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Repository files): Further comments about leading
	"-" in filenames.

Fri Jul 11 21:30:11 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Repository files): Add comment about legal
	filenames.

Wed Jul  9 18:05:26 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): Add Mbinary response.

Mon Jul  7 12:04:01 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Goals): Add previously unwritten goal about only
	one way to do each operation.

	* cvs.texinfo (File permissions): Rewrite paragraph on setuid to
	be more verbose and less unix-specific.

Sat Jul  5 03:16:38 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Connection and Authentication): When we said to
	"ignore" an unrecogized code we mean to treat it as nonspecific,
	not to ignore the response.

	* cvsclient.texi (Example): Refer to RFC2119 when referring to
	terminology of MUST, SHALL, &c.

	* cvs.texinfo (Windows permissions): New node.

Fri Jul  4 15:27:43 1997  Ian Lance Taylor  <ian@cygnus.com>

	* cvs.texinfo (Common options): Fix typo (avaliable for
	available).

Tue Jul  1 09:19:02 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Server requirements): Discuss memory used by diff.

	* cvs.texinfo (Substitution modes): Add comment about -A resetting
	both sticky tags/dates and sticky options.

	* cvs.texinfo (File permissions): Add paragraph concerning
	ownership of the RCS files.

	* cvs.texinfo (Working directory storage): Relative repositories
	in CVS/Repository are legal.

Mon Jun 30 10:48:21 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Top): Add menu item for Password scrambling.

	* cvs.texinfo (Committing your changes): Add comment concerning
	documentation of message prompting.

Fri Jun 27 11:20:34 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Password scrambling): New node.
	(Connection and Authentication): Adjust accordingly.
	(Protocol Notes): Add long discussion of character sets and
	password scrambling.

	* cvs.texinfo (Repository files): Also mention doc/RCSFILES in
	documenting RCS file format.
	(CVSROOT, storage of files): New node.

Thu Jun 26 09:18:15 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (File permissions): xref to the pserver thing about
	permissions in CVSROOT.
	(Kerberos authenticated): Explicitly mention kerberos rsh.
	Add various index entries for "security, <foo>".

Wed Jun 25 13:39:16 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Common options): Rewrite comments concerning HEAD
	and testcases and solution.  Changing HEAD might be too big a
	change; might be better to phase it out.
	(Common options, Tags): Add index entries for HEAD and BASE.

Tue Jun 24 09:37:26 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add assertion failed.

	* cvsclient.texi (Connection and Authentication): Add "E" and
	"error" as responses in authentication protocol.  The server
	already was in the (formerly bad) habit of sending them, and we
	might as well implement this in the client and document it.

	* cvs.texinfo (Password authentication security): Note about
	permissions on $CVSROOT also applies to its parent and so on up to
	/.

Mon Jun 23 18:28:18 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Creating a repository): xref to Server requirements
	for more details on memory, CPU.
	(Server requirements): Add xref to Creating a repository regarding
	disk space.

	* cvs.texinfo (Read-only access, Password authentication
	security): The known holes which let a read-only user execute
	arbitrary programs on the server are gone.

	* cvsclient.texi (Protocol Notes): Remove multisite item; it is
	replaced by item 186 in TODO.  Add a general reference to TODO.
	Rewrite accordingly the sentence about multisite in the item
	concerning sending modified files in "cvs update".

Fri Jun 20 17:00:20 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add "binary files differ" when
	trying to check in a binary file.

Fri Jun 20 14:01:23 1997  David J MacKenzie  <djm@va.pubnix.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Fix various formatting, spelling, stylistic, and
	factual errors.

Thu Jun 19 07:11:33 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (config): New node.
	(Password authentication server): Talk about RCSBIN in config as
	an alternative to -b global option.
	* cvsclient.texi (Requests): Specify when Root can/must be used.

	* cvs.texinfo (Error messages): Add
	"*PANIC* administration files missing".

	* cvs.texinfo (Password authentication server): Mention
	permissions on $CVSROOT and $CVSROOT/CVSROOT as part of the
	installation process.
	(Password authentication security): Clarify that permissions issue
	applies to $CVSROOT as well as $CVSROOT/CVSROOT.

Wed Jun 18 00:03:25 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Password authentication security): Add paragraph
	on write permissions of $CVSROOT/CVSROOT.

	* cvs.texinfo (Adding and removing): New node.  Move Adding files,
	Removing files, Removing directories, Moving files, and Moving
	directories under it.

	* cvs.texinfo (Removing directories): Add sentence about how
	one doesn't remove the directory itself.

	* cvs.texinfo (Password authentication server): Document
	--allow-root.

Tue Jun 17 09:58:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add "unknown option" from RCS.

Fri Jun 13 12:11:09 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Global options): Add note about how -n might affect
	CVS's output.

Thu Jun 12 09:33:40 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Other problems): New node.  Add discussion of
	problem with old rcsmerge.

	* cvs.texinfo (Environment variables): Add CVSUMASK.

Mon Jun  2 18:39:57 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Moving a repository): New node.

Tue May 27 18:27:57 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Working directory storage): Add comment about
	timestamps.
	* cvsclient.texi (Responses): Add Mod-time.

Mon May 26 10:04:32 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Wrappers): Add comment concerning -t/-f and
	client/server.

Sun May 25 00:08:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Multiple vendor branches): New node.
	(First import, import options, Invoking CVS): xref to it.

Sat May 24 23:47:47 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (File permissions): Add comment about group
	ownership in repository and setgid bit on directories.

Fri May 23 17:14:05 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* RCSFILES: Fix typo in dead newphrase description ("an" -> "a").

Fri May 23 16:33:38 1997  Ian Lance Taylor  <ian@cygnus.com>

	* RCSFILES: Mention dead as a newphrase.

Fri May 23 09:45:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Builds): In comment, update URL of mk.

Thu May 22 09:25:56 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add comment about yet another way
	to produce a "cannot open CVS/Entries for reading" error.

Tue May 20 17:54:55 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add item about EINVAL in rename.

Mon May 19 00:21:49 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Keywords in imports): New node.
	(Tracking sources): Add comment about what a "vendor" is.

	* cvs.texinfo (Keyword substitution): Where it refers to RCS
	having a certain behavior, rewrite to not pass the buck like
	that.  Saying "RCS file" is still OK; that is a legit CVS
	concept.  A few other minor edits.

Sun May 18 10:24:57 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* RCSFILES: Add list of known newphrase extensions.

	* cvs.texinfo (From other version control systems): Fix typo
	("systesm" -> "systems").

	* cvs.texinfo (Exit status): New node.
	(diff): Replace text on exit status with an xref to that node.
	The previous text documented a behavior which CVS no longer
	implements.
	(user-defined logging, commitinfo, verifymsg, Error messages):
	Add index entries for "exit status, of <something which CVS invokes>".

	* cvs.texinfo (Administrative files): Add comment concerning
	writing triggers and particularly performance issues.

	* cvs.texinfo (rtag options, tag options): Don't discuss what old
	versions did with respect to the behavior now controlled by -F; we
	don't try to document old versions here.  Add comments concerning
	how -F should be documented.  Add index entries for "renaming
	tags" and such pointing to "tag -F".

Wed May 14 12:16:19 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Binary files): Add text and comment about
	automatically detecting binary files.

Mon May 12 11:55:07 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Connection and Authentication): Add item about
	future expansion.

Thu May  8 11:08:34 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Update imports): Add comment about wdiff
	vs. fsf/wdiff in example.

Wed May  7 13:52:47 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (checkout): Add comment about need for example
	regarding what the "module" argument means.

Tue May  6 18:02:27 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (History browsing): Add comment about looking at old
	revisions.

Tue May 06 15:05:00 1997  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo: More additions/corrections for -R due to recent
	changes.

Mon Dec 16 15:18:00 1996  Larry Jones  <larry.jones@sdrc.com>

	* cvs.texinfo: Added/corrected documentation for -R.  (Minor edits
	by Jim Kingdon to reflect recent changes in cvs.texinfo)

Sun May  4 14:38:35 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Compatibility): Add comment about "D" lines in
	Entries.

	* cvs.texinfo (CVS commands, diff): Change "run diffs" to "show
	differences"; the former is jargon.
	(CVS commands): Don't refer to "rlog" in describing what log does.

	* Makefile.in (cvsclient.dvi cvsclient.aux): Run texi2dvi rather
	than (poorly) emulating it ourself.

	Fix overfull and underfull hboxes:
	* cvs.texinfo (What is CVS?): Add words "the newsgroup" before
	"comp.sources.unix".
	(Credits): Put list of people in @display.
	(Repository files): Put /usr/local/cvsroot in @example.
	(Connecting via rsh): Change "anklet" to "toe" in example.
	(Kerberos authenticated, Password authentication client, Password
	authentication server): Change "brickyard" to "yard" in example.
	(Read-only access): Use @example and refer to files with a shorter
	pathname.
	(Server temporary directory): Use @example for pathname.
	(Watches Compatibility): Add phony line break.
	(Revision numbers): Remove revision 1.2.2.2 and tighten up the
	spacing for "the main trunk".
	(Tags, Creating a branch): Change /usr/local/cvsroot to /u/cvsroot.
	(Merging more than once): Tighten up spacing for "the main trunk".
	(Recursive behavior): Put long command in @example.
	(First import): Remove word "called".
	(Common options): Put long URL in @example.
	(loginfo example): Use fewer hyphens in example.
	(Variables): Put long command name in @example.
	(Copying): Add line break.
	(Administrative files): Remove "the" from title.
	(Copying): Change "@unnumberedsec" to two "@heading"s.
	* cvsclient.texi (Requests): Change /home/kingdon/zwork/cvsroot to
	/u/cvsroot.
	(Example): Add word "file".
	(Example): Change line breaks in example log message.
	(Example): Change /home/kingdon/testing/cvsroot to /u/cvsroot.

	* cvs.texinfo (Credits): Don't refer to appendix A and B, they
	have been renumbered.  Reword so that it works whether the text in
	question has since been rewritten or not.

	* cvs.texinfo (BUGS): Rewrite to reflect the many different ways
	that one might want to handle bugs.  Move information on Signum
	and Cyclic from Preface to here.  Remove information on known
	deficiencies in the manual (some of them I'm not sure were really
	things in need of improvement; others were too general to be
	useful).  For the most part FIXME comments are probably better for
	this.  Remove "Linkoping, October 1993, Per Cederqvist"--many
	parts of the manual are now from other people, dates, and places.
	(What is CVS): For the most part, just refer to BUGS concerning
	bug-cvs.  Also tell people how to subscribe to bug-cvs.
	(Credits): Say that list is not comprehensive and refer to
	ChangeLog.

Sat May  3 10:51:58 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (rcsinfo): Add comment about checkoutlist and
	related topics.

	* cvs.texinfo (Server temporary directory): New node.

	* cvs.texinfo (Backing up): New node.

	* cvs.texinfo (Repository): Be more explicit about the repository
	and the working directory not being subdirectories of each other.

Mon Apr 28 11:12:56 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Removing files): Use "*.c" not "?.c" in example;
	the former should be good for both unix and DOS-like operating
	systems.  Document -f option.  Refer to Invoking CVS for a full
	list of options.  Add a few comments.

	* cvs.texinfo (Invoking CVS): For checkout and update, call them
	"sticky options" not "sticky kopts".

	* cvs.texinfo (Editing files): Add additional comments on get
	vs. checkout.

Sun Apr 27 16:17:06 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (commit): Only document the current flags (where -f
	is force and -F file gets the message from a log file).  We had
	partly made this change on 9 Feb 1997, but some places got missed.

	* RCSFILES: Add discussion of the common concern regarding
	applying deltas to get to a branch head.

	* DIFFUTILS-2.7-BUG: New file.

	* cvs.texinfo (File status): Refer to "Invoking CVS", not
	"status", for status options.  Add paragraph about how "cvs -n -q
	update" is another way to display file status.
	(update examples): Removed; it had contained the "cvs -n -q
	update" material.
	(Invoking CVS): xref to "File status" and "Tags", not "status" and
	"status options".
	(status, status options): Removed.
	(update options, checkout options): xref to "Invoking CVS"
	not "status".

	* cvsclient.texi (Requests): Clarify how long-lived Sticky and
	Static-directory are.

	* cvs.texinfo: Add @finalout.

	* cvs.texinfo (Error messages): Add "cannot change permissions on
	temporary directory" message.

Wed Apr 23 12:53:45 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Document "add" in much more detail.

Wed Apr 23 00:38:17 1997  Ian Lance Taylor  <ian@cygnus.com>

	* cvsclient.texi (Requests): Correct small typo (`a' for `as').

Tue Apr 22 14:23:32 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Protocol Notes): Expand ideas on multisite
	features somewhat.  Add items about the network turnarounds for
	pserver authentication and for protocol negotiation.

Mon Apr 21 08:54:48 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Working directory storage): Describe what to do
	with Entries.Log in more detail.

	* cvsclient.texi (Responses): Say "CVS 1.9 and earlier" rather
	than "pre version 1.10".  The latter increases confusion by
	referring to a version which doesn't exist yet.

Mon Apr 21 01:02:53 1997  Ian Lance Taylor  <ian@cygnus.com>

	* cvsclient.texi (Responses): Document Rcs-diff.  Indicate that
	Patched is now deprecated in favor of Rcs-diff.

Sun Apr 20 23:42:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Working directory storage): Add note about format
	of timestamp and the "Result of merge" concept.

Sat Apr 19 13:42:33 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): It is OK for Copy-file to implement
	a rename instead of a copy.

Fri Apr 18 12:05:48 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Assigning revisions): Say that -r implies -f.

Thu Apr 17 16:34:14 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (From other version control systems): Add comment
	about CMZ and PATCHY.

Wed Apr 16 12:35:25 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): Add paragraph describing how
	Copy-file relates to Merged.
	(Responses): Add paragraph about how it is the server which
	worries about not clobbering the user's file.

Tue Apr 15 00:57:31 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* RCSFILES: Add notes on keyword expansion.

	* cvs.texinfo (Rename by copying): Comment out seemingly erroneous
	text regarding the revision number that the new file starts with.

Mon Apr 14 12:37:35 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Clients should try to send
	notifications right away.

	* cvsclient.texi (Requests): For Notify request, clarify a few
	future expansion situations.  Specify the format of the time.

	* cvsclient.texi (Requests): Clarify that arguments to co, rdiff,
	and rtag are module names (and how that differs from file/directory
	names).

	* cvsclient.texi (Responses): Say that servers need to create
	directories one at a time.

Sat Apr 12 09:32:58 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Committing your changes): Say that editor default
	is notepad (not vi) for Windows NT/95.  Be more clear about what
	"cvs commit" does.  Add paragraph about timestamps.
	(Environment variables, Global options, editinfo):
	Add xrefs to that node.

Thu Apr 10 15:48:39 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add "could not patch; will refetch".

Wed Apr  9 15:21:11 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Working directory storage): New node.

	* cvs.texinfo (Error messages): Add comment about "cvs co ." on
	NT.

Tue Apr  8 14:44:26 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Add diff3 usage message.

Sun Apr  6 19:03:01 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Removing files): Add comment about undoing a "cvs
	remove".

	* cvsclient.texi (Requests): Explicitly mention the idea of
	deferring "Notify" requests.

Tue Apr  1 07:51:38 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): Add paragraph about directory
	creation and empty directories.

	* cvs.texinfo (Binary files): Add comment about binary files and
	merges.

	* cvsclient.texi (Requests): Add discussion of when to send
	Is-modified.

	* cvsclient.texi (Requests): Sending Is-modified is enough to
	prevent the file from being considered "lost".

Sun Mar 30 00:31:47 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Add Is-modified request.  Clarify
	order of Entry relative to Unchanged or Is-modified (might as well
	specify the same thing vis-a-vis Modified while we are at it).

Sat Mar 29 12:32:40 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi: Change "newline" to "linefeed".  Most of the
	document already reads "linefeed" and that is what is intended.
	(File transmissions): New node, moved here from Requests.
	(Goals, Filenames, File transmissions, new node Strings): Add
	discussion of character sets and what we expect from the transport
	protocol we run on.

	* cvsclient.texi (Requests): Add paragraph about each Directory
	request specifying a new local-directory and repository.

	* cvsclient.texi (Requests): Add paragraph about renaming
	local-directory in Directory request.  Use "local-directory"
	consistently instead of "working directory", for clarity.

Fri Mar 28 13:59:59 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Make it clear that there is no
	guarantee that one will get Clear-sticky instead of another
	response.  Also clarify that clients will tend to store the
	repository in a long-term way.

	* cvsclient.texi (Requests): Further clarify Directory example.

	* cvsclient.texi (Requests): Add example and further explanation
	of what expand-modules is for.

	* cvsclient.texi (Requests): Add example, hopefully making it
	clearer what REPOSITORY and LOCAL-DIRECTORY mean to Directory.

	* cvs.texinfo (Attic): New node.
	(rtag options): Adjust discussion of -a accordingly.
	(Repository files): Adjust accordingly.

Thu Mar 27 09:57:05 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): Give exact wording of broken pipe
	error message.

	* cvs.texinfo (history database): Add comment about various
	problems with the history file.

	* cvs.texinfo (Common options): The ISO8601 web page we had
	mentioned in a comment is no more.  Replace it with a new one.

	* cvs.texinfo (Common options): "cvs history" also outputs dates.

Wed Mar 26 10:54:21 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Common options): "cvs editors" also outputs dates.

	* cvs.texinfo (Outside): Fix paragraph which said that revision
	numbers start at 1.0.  First of all, it is 1.1.  Second of all, it
	is sometimes 2.1, 3.1, etc.  Third of all, the xref should be to
	Assigning revisions not commit options.

	* cvs.texinfo (Outside): Comment out sentence which incorrectly
	stated that "cvs add" can operate on "foo/bar.c".

Tue Mar 25 22:21:29 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Error messages): New node.
	(Magic branch numbers): Move from Troubleshooting to Revisions and
	branches.  The former placement never made any sense to me.
	(Revision numbers): Remove "Main trunk (intro)" index entry now
	that this node is right next to the other "main trunk" index
	entry.
	(BUGS): Very briefly mention reporting bugs in CVS.

	* cvs.texinfo (Compatibility): Add comment about "Nfoo" in CVS/Tag.

Mon Mar 24 13:50:24 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Creating a branch): Add comment about -r in branch
	example.

	* cvsclient.texi (Responses): Discuss meaning of tagspec and
	future expansion in Set-sticky.  The behavior described is the one
	which CVS has always implemented.

Fri Mar 21 14:19:05 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Revise meaning of "Case" per change
	to CVS.

Tue Mar 18 15:50:47 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	The following reorganization hopefully presents numeric revisions
	in a slightly more coherent fashion.  The only new material is the
	paragraph about assigning revisions for added files.
	* cvs.texinfo (A sample session): Bring in a sentence from Basic
	concepts node, defining a repository.
	(Revisions and branches): Renamed from Branches (it has always
	covered non-branch tags too).  Bring in nodes "Revision numbers" and
	"Versions revisions releases" from Basic concepts, the former in
	particular was way too detailed for an intro section.
	(A sample session): Add comment about how we need an introduction
	and what might go into one.  Also bring in the paragraph from
	Basic concepts introducing modules, but comment it out.
	(Viewing differences): Add comment about
	(Basic concepts): Removed; its content has been farmed out as
	described above, and as the comment said, it was fundamentally
	flawed.
	(Assigning revisions): New node.  Incorporates the "New major
	release number" subsubsec which was in "commit examples".  Add
	paragraph concerning how CVS assigns revisions on added files.
	(commit options): Refer to that node under -r.
	(Invoking CVS): Add comment about text for -r.

Tue Mar 18 13:04:30 1997  Jim Meyering  <meyering@totoro.cyclic.com>

	* Makefile.in: (install-info): Depend on installdirs.

Sun Mar 16 12:37:12 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (File permissions): CVSUMASK now works for RCS
	files; but it is (still) awkward for client/server CVS.

Sat Mar 15 17:41:12 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Magic branch numbers): Add comment about where this
	should go.

Thu Mar 13 09:11:36 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Credits): Fix grammatical mistake ("manual about"
	-> "manual is about").  Reported by Philippe De Muyter.

Sun Mar  9 09:06:40 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (File permissions): Add comment about val-tags and
	CVSUMASK.

Sun Mar  2 12:33:26 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (From scratch): Add comment about creating
	directories with add rather than import.

	* cvs.texinfo (Creating a repository): Add comment about how this
	somewhat duplicates Server requirements.

	* cvs.texinfo (Connecting via rsh): Add comment about rsh
	vs. remsh.  Also wording fix ("incorrect" -> "inapplicable").

	* cvs.texinfo (Outside): Add comment about renames and annotate.

	* cvs.texinfo (Server requirements): New node.

Thu Feb 27 15:20:49 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Multiple developers): Reword section on "cvs admin
	-l".  As nearly as I can tell based on when it came up on info-cvs
	and other contexts, people who are into reserved checkouts
	generally find that cvs admin -l is OK.  Add a bunch more notes
	(inside @ignore) about reserved checkout implementation ideas.

Sun Feb 23 16:12:03 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Common options): Add various additional comments
	about date formats.

	* RCSFILES: Remove diff for Id and explain it in words instead.
	The previous values for Id had been clobbered by keyword expansion
	on the RCSFILES file itself.

Sat Feb 22 14:16:28 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (DISTFILES): Fix typo (missing backslash).

Fri Feb 21 23:08:38 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* RCSFILES: New file.
	* Makefile.in (DISTFILES): Add RCSFILES.

20 Feb 1997  Lenny Foner  <foner@media.mit.edu>

	* cvs.texinfo (Checklist): Fix typo ("keword" -> "keyword").

Thu Feb 20 21:57:05 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Keeping a checked out copy): Add "web" to index.

Wed Feb 12 18:44:16 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Password authentication client, Invoking CVS):
	Document "cvs logout" command.

Tue Feb 11 20:42:45 1997  Ian Lance Taylor  <ian@cygnus.com>

	* cvs.texinfo (commit options): Document that the -f option to
	commit disables recursion.

Sun Feb  9 13:58:59 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (diff options): Document all the options we pass
	through to diff.  Remove paragraph about -D sometimes meaning
	--ifdef since that is no longer true.

	* cvs.texinfo (Multiple developers): Add lengthy comment about
	reserved checkout design issues.

	* cvs.texinfo (Wrappers): Add paragraph about timestamps.

	* cvs.texinfo (commit options): Don't try to document what CVS 1.3
	does with -f and how recent versions differ: 1.3 is pretty old
	anyway, we generally only try to document the current version, and
	the way it was described here was pretty confusing.
	(Environment variables): Likewise for CVSEDITOR.

	* cvs.texinfo (import output): Add index entries for symbolic
	links.  Add brief mention of whether behavior should be
	different.  Add comments on other symbolic link issues.

Wed Feb  5 13:02:37 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Concurrency): Add comment about commit/commit
	atomicity.

Mon Feb  3 10:55:41 1997  joel boutros <nihilis@moral.addiction.com>

	* cvs.texinfo (Connecting via rsh): Fix typo (programs -> problems).

Fri Jan 31 12:18:47 1997  Ian Lance Taylor  <ian@cygnus.com>

	* cvsclient.texi (Connection and Authentication): Correct typo
	(``sent'' for ``send''), and rewrite sentence for clarity.

Fri Jan 24 10:31:57 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (File status): Change "Unresolved Conflict" to "File
	had conflicts on merge" per change to CVS.

Sun Jan 19 16:21:17 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (admin): Add comments about "group" and "compiled in
	value".  At least one info-cvs poster was confused by this.

Thu Jan 16 17:54:51 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Wrappers): It is just -t/-f which doesn't work
	client/server.  -k *does* (well, except for the problem with
	import noted in BUGS).  -m I don't know and I doubt anyone cares.

Mon Jan 13 15:41:02 1997  Karl Fogel  <kfogel@ynu38.ynu.edu.cn>

	* cvs.texinfo (Read-only access): rephrase to imply that there may
        be other administrative files, besides history and locks, which
        read-only users can also affect (in the future, for example, the
        `passwd' file).

Wed Jan  8 14:50:47 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in: Remove CVSid; we decided to get rid
	of these some time ago.

Wed Jan  8 09:08:36 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Connection and Authentication): Document
	restriction that cvs root sent in the cvs protocol and in the
	pserver authentication protocol must be identical.

Thu Jan  2 13:30:56 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in, cvs.texinfo: Remove "675" paragraph;
	see ../ChangeLog for rationale.

Thu Jan  2 09:34:51 1997  Karl Fogel  <kfogel@ynu38.ynu.edu.cn>

        * cvs.texinfo (Read-only access): new node.
        (Repository): new menu item for above new node.
        (Password authentication server): document the user-aliasing
        feature.  Why was this undocumented before?

Wed Jan  1 18:12:11 1997  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Conflicts example): Use @asis in example to prevent
	starting a line with a conflict marker.  This means that when
	maintaining the file with CVS itself, CVS will not think there is
	a conflict merely because of the conflict marker in the example.
	IMHO, this is totally bogus and CVS needs a better way of figuring
	out whether a conflict is resolved (see comments elsewhere in this
	node), but until then....  Credit to Fred Fish for reporting the
	problem.

	* cvs.texinfo (cvsignore): Add paragraph about how .cvsignore
	files in the sources being imported by "cvs import" override
	"-I !".  Credit goes to Fred Fish for pointing out this problem.

Thu Dec 19 12:36:46 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Credits): Update Roland Pesch email address per his
	request.

Tue Dec 17 12:57:56 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (verifymsg): In example, remove text "and reedit if
	necessary"; it was copied from editinfo and doesn't apply here.
	Fix syntax of if statement; remove unnecessary attempt at loop;
	don't use -n with echo.  Add @appendixsec at start of node.
	Add note about how verifymsg cannot change log message.
	(editinfo): In paragraph saying editinfo is obsolete, fix various
	typos and formatting glitches.  Mention -e as well as EDITOR.
	(editinfo): In saying that editinfo doesn't get consulted with -m,
	-F or client/server, recommend verifymsg.  Remove comment which
	says, in effect, "we need a feature like verifymsg".
	(editinfo example): Change "verifymsg" back to "editinfo" here;
	the example is of editinfo not verifymsg.

Tue Dec 17 12:45:32 1996  Abe Feldman  <feldman@cyclic.com>

	* cvs.texinfo (verifymsg): New node.
	various places: Say that editinfo is obsolete, or refer to
	verifymsg instead of editinfo

Wed Dec 11 08:55:26 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Compatibility): Add comment about 1.3 and file death.

	* cvs.texinfo (update output, release output): Document "P" as
	well as "U".

Tue Dec 10 16:23:40 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Builds): Change "make" to "implement" and "build";
	in this context "make" is ambiguous.
	(Builds): Add new URL of mk web page.

Mon Dec  9 11:03:37 1996  Jim Blandy  <jimb@floss.cyclic.com>

	* cvs.texinfo (Password authentication client, Environment
	variables): Remove mention of CVS_PASSWORD.

Sun Dec  8 22:38:34 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Repository files): Mention differences between RCS
	files in RCS and in CVS.
	(Tags): Tag names must start with a letter.

Fri Dec  6 09:08:18 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (syntax): Expand discussion of regular expression
	syntax.

Fri Nov 29 09:06:41 1996  fnf@ninemoons.com (Fred Fish)
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo, cvsclient.texi: Make sure @ref and friends are
	followed by "," or "." as described in the texinfo manual.  This
	is a dubious practice as texi2html and texinfo.tex don't require
	it, and makeinfo could insert them as needed, but since makeinfo
	doesn't do that yet, cope.

	* cvs.texinfo (From files): Suggest "diff -r" rather than "ls -R"
	as the way to see that the sources seem to have been imported
	correctly.
	(Common options): -k is also available with import.
	(admin options): Fix typo ("interrested" -> "interested").

Mon Nov 25 10:03:56 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Common options): Add comments about two digit
	years, year 2000, and ambiguous/nonexistent dates.

Sun Nov 24 17:27:24 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (First import): Don't say what the wdiff program we
	are using as an example does--that is confusing.  Also don't show
	untarring it--people might be familiar with cpio, ZIP, VMS BACKUP,
	etc., instead of tar.

	* cvs.texinfo (Adding files): Update comment about "cvs add -m".

	* cvs.texinfo (Common options): Remove -H; -H is not a command
	option.
	(Global options): Also list --help and --version.  Don't say that
	-H gives a list of commands; it doesn't any more (directly).

	* cvs.texinfo: Add comment pointing to paper size web page.

	* cvs.texinfo (Common options): Rewrite section on date formats.
	Executive summary is that RFC822 and ISO8601 are now preferred.

Wed Nov 20 08:39:45 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Getting Notified): Add paragraph clarifying that
	watches happen per user, not per working directory.

Tue Nov 19 09:39:08 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Tags): Suggest that future special tag names might
	start with ".".  Fix typo.

	* cvs.texinfo (Removing directories): -P is also available with
	export.
	(Moving directories): Rewrite first paragraph; now says that you
	must use -P for the directory to disappear from working
	directories.  Thanks to Martin Lorentzon
	<Martin.Lorentzson@emw.ericsson.se> for reporting this bug.
	(various): Where we mention -P, point to Removing directories
	node.

Sat Nov 16 18:03:22 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Example): Rewrite to actually be based on a real
	live example (and therefore reflect the way the protocol currently
	works).  Add comment about formatting of the document itself.

Thu Nov 14 10:22:58 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Introduction): Use @ref, not @xref, after "see".
	(Goals): Rewrite items about locking, about uploading in big
	chunks, and about atomicity to be focused more on the protocol
	than the current implementation.
	(Notes): Remove this node.  The attempt to describe the basic
	model has pretty much been replaced by the Introduction.
	The material about how to start the client is incomplete and
	better left to cvs.texinfo.  And the item about the lack of
	SERVER_FLOWCONTROL is obsolete now that SERVER_FLOWCONTROL is the
	default.
	(Protocol Notes): Add comment about multisite features.
	(Requirements): Use @code for requests and responses.

	* cvs.texinfo (Remote repositories): Add a few sentences defining
	"client" and "server"; before we had been using the terms without
	defining them.

	* cvs.texinfo (What is CVS?): Add paragraph about reporting bugs.
	Reword and expand comp.software.config-mgmt description (and add
	comments about other newsgroup facts).  Point people at GNU list
	of FTP sites rather than directly at prep.ai.mit.edu.

Wed Nov  6 09:45:08 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Tracking sources): Add comment regarding added and
	removed files.

Tue Nov  5 14:00:31 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Rename node "Invoking CVS" to "CVS commands".
	Rewrite the intro and comments to reflect addition of the new
	Invoking CVS.
	(Invoking CVS): New node, a quick summary of each command.
	(annotate): Don't list the options; refer to Invoking CVS and
	Common options instead.

Sun Nov  3 21:22:42 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Compatibility): New node, moved from ../README.

	* cvs.texinfo (Common options): Add comment about how tar manual
	contains documentation for getdate date formats.

Fri Nov  1 14:00:31 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (commit examples): Rewrite "New major release
	number" section to tighten up the wording, better motivate the
	discussion, and replace the term "rcs revision number" with
	"numeric revision".

Fri Oct 25 07:49:21 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (loginfo): Don't say "a la printf"; the syntax is
	only vaguely similar to printf.

	* cvs.texinfo (loginfo): To get just the repository name, suggest
	%{} instead of % "standing alone"; the latter is now an error.

Tue Oct 22 13:08:54 1996  Noel Cragg  <noel@gargle.rain.org>

	* cvs.texinfo (loginfo): add information on the new loginfo format
 	string specification.

Mon Oct 21 17:33:44 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Builds): New node.
	(What is CVS?): Refer to it.

Sat Oct 19 14:32:21 1996  Jim Meyering <meyering@asic.sc.ti.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Choosing a model): Wording/grammar fix.

Sat Oct 19 14:32:21 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Obsolete): New node.
	(Requests): Remove Repository and Lost and adjust Directory,
	UseUnchanged, and other places accordingly.
	(Required): Directory and Unchanged are now required.

	* cvs.texinfo (Removing files): Don't talk about modules; they are
	not relevant in this context.
	(Removing directories): New node.
	(Common options): Refer to it instead of duplicating information.

Fri Oct 18 11:05:06 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (First import, import): Add paragraph about the fact
	that import doesn't modify the directory which it imports from.

	* cvs.texinfo (Creating a repository): Add paragraph about
	resource requirements.

	* cvs.texinfo (Copying): Replace empty node with a copy of the GPL.

Thu Oct 17 12:10:55 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Adding files): Revise comment to more accurately
	reflect the functioning/nonfunctioning status of cvs add -m.

	* cvs.texinfo (Reverting local changes): New node, somewhat based
	on the version of this node from 30 Sep 96 change.
	(admin options): Refer to it.

	* cvs.texinfo: Reinstate 30 Sep 96 change from A4 to US letter.

	* cvs.texinfo (Concurrency): When telling people how to clean up
	locks, tell them to make sure the locks are owned by the person
	who has the stale locks.
	(update output, release output): Remove text about how CVS doesn't
	print "? foo" for directories; CVS has since been changed (see
	conflicts-130 in sanity.sh).

Wed Oct 16 15:01:42 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (history options): Mention new option -x E.

Mon Oct 14 15:21:25 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Tags): Add paragraph on choosing a convention for
	naming tags.

Thu Oct 10 16:05:26 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (modules): Describe what & does.

Mon Oct  7 17:20:11 1996  Ian Lance Taylor  <ian@cygnus.com>

	* cvs.texinfo (Removing files): Correct apparent cut and paste
	error: refer to the removed file, not the added file.

Tue Oct  1 14:15:33 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Revert all recent changes (the last unscathed one
	is the CVSUMASK one from Sunday).  For the most part said changes
	are for new features which are not appropriate at this stage of
	the release process.  None of the changes being reverted need to
	go into 1.9, that is for sure.

Mon Sep 30 18:17:34 1996  Greg A. Woods  <woods@most.weird.com>

	* cvs.texinfo (Credits): add comment asking if we should update.
	Add more detail about printing Letter on A4.
	Add some comments about internal comments.
	(From files): describe "cvs import -b 1" for importing existing
	projects onto the main branch.
	(First import): add a couple of helpful hints about naming vendor
	and release tags, etc., and regularize the examples with this.
	(Tracking sources): noted some reasons why you might use vendor
	branches with "cvs import".
	(Update imports): mention using "update" in place of "checkout" if
	you have an existing working directory.
	(Binary files in imports): add sub-menu separator comment.
	(Tracking sources): new menu entry "Reverting to vendor release".
	(Reverting to vendor release): new node to describe reverting
	local changes and optionally using patch(1) to move local changes
	forward.
	(Global options): describe -D and -g, as well as DIFFBIN and
	GREPBIN.
	(export examples): add one.
	(import options): describe the effect of '-b 1'.

Mon Sep 30 08:09:53 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Adjust comments concerning A4 vs. US letter,
	referring to ../README.

	* cvs.texinfo (Common options): Add comment about dates which CVS
	uses in output.

Sun Sep 29 11:14:16 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Keyword list): Don't mention Name twice.

	* cvs.texinfo (File permissions): Expand CVSUMASK stuff a bit.
	(Setting a watch, Environment variables, Global options): Update
	index entries for "read-only files, and ...".

	* cvsclient.texi (Requests): State that Gzip-stream is preferred
	to gzip-file-contents.  Cite RFC1952/1951 rather than just "gzip".
	Say that RFC1950/1951 compression is also known as "zlib".

Sat Sep 28 09:31:45 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Repository): Move all information about the
	internal structure of the repository to User modules node.  Rename
	it to "Repository storage" ("User modules" wasn't particularly
	clear).  Mention CVSUMASK.  Much clarification and
	reorganization.
	(Basic concepts): Remove material which duplicates what is now in
	Repository.  Rewrite paragraph introducing modules.

	* cvs.texinfo (Starting a new project): In discussing difficulty
	in renaming files, don't refer to "cvs 1.x"--there is no
	non-vaporous "cvs 2.x".  Reword to reflect that part of the reason
	to avoid renames (where possible) is not because of CVS at all, and
	to try to give a general impression of how bad CVS issues involved in
	renaming are.

Fri Sep 27 04:23:44 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Adding files): Talk about directories, not modules,
	since that is what is meant.  Suggest using -kb option to add
	rather than running cvs admin after the fact and xref to Binary
	files not admin examples.  Incorporate information which had been
	in "add" node (there was a lot of duplication).  Don't document
	use of "add" on a directory to take the place of "cvs update -d";
	the latter is simpler and more logical.
	(add, add options, add examples): Removed.
	(release output, release options): Update xrefs accordingly.
	(Adding files, Removing files): Mention the fact that adds and
	removes are branch-specific.
	(Merging adds and removals): New node.

	* cvs.texinfo (Concurrency): When mentioning RCS locks, use the
	term reserved checkouts and xref to the place where we discuss
	them in more depth.

Thu Sep 26 08:26:01 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (log): Add comments about timezones.
	(log, Common options): Add index entries for timezone and zone, time.

Wed Sep 25 11:05:30 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (log options): Add xref to where we describe the
	date formats that -d accepts.
	(Common options): Don't refer to date formats accepted by co(1);
	CVS's rules have never been the same.  Add long whiny comment
	about what a mess date formats are.

Tue Sep 24 11:49:02 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (From other version control systems): The RCS file
	must not be locked when you copy it to the CVS repository.

	* cvs.texinfo (Editing files): Also discuss how to revert in the
	non-watch case.  Add some index entries.

	* cvs.texinfo (update output): Add comment about how we *should*
	be handling .# files.  Mention fact that it is different under
	VMS.  Add .# to index.

Fri Sep 20 13:08:33 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Multiple developers): Revise text on reserved
	versus unreserved checkouts extensively.  Move index entries for
	"reserved checkouts" and "RCS-style locking" to here.  Add
	cross-reference to cvs admin -l.  Add new section "Choosing a
	model".
	(Editing files): Add note about use of the word "checkout".

Tue Sep 17 00:54:57 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Defining the module): Don't suggest "cvs co
	modules"; that depends on a "modules" module being defined which
	is not the default which is created by "cvs init".  Instead
	suggest "cvs co CVSROOT/modules" which should always work.

Tue Sep 17 00:43:49 1996  VaX#n8  <vax@linkdead.paranoia.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Rename by copying): Suggest "cvs tag -d" on the file
	"new", not on everything.  Also don't suggest deleting branch tags.

Tue Sep 17 00:34:39 1996  David A. Swierczek  <swierczekd@med.ge.com>

	* Makefile.in (install-info): Note whether files are in srcdir and
	deal with it rather than cd'ing into srcdir.

Mon Sep 16 23:33:36 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Wrappers): Add comment about using wrappers to
	compress files in the repository.

	* cvs.texinfo (modules): Add comments about how we should be
	documenting how -i and friends operate in client/server CVS.

	* cvs.texinfo (File permissions): Describe the need for write
	permissions for locks and val-tags.

	* cvs.texinfo (commitinfo): Add comment about using commitinfo to
	enforce who has access.

Wed Jul 24 17:01:41 1996  Larry Jones  <larry.jones@sdrc.com>
			  and Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (checkout): Refer to "update output" node.
	(import): Add new import output node.
	(release): Correct release output menu entry (used to be
	release options instead).
	(update output): Say this is output from checkout as well as
	update.

Mon Sep 16 16:18:38 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Common options): Clarify that CVS uses MM/DD/YY dates.

	* cvs.texinfo (Common options): Add comment about what HEAD means.

Mon Sep 16 10:52:04 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* cvs.texinfo (Global options): Document global '-T' option.

Sat Sep 14 10:46:58 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Keeping a checked out copy): New node.

Fri Sep 13 23:55:42 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Magic branch numbers): Delete song and dance about
	how cvs log can't cope with magic branches because rlog doesn't
	know about them; cvs log no longer calls rlog.  Delete item about
	how you can't specify a symbolic branch to cvs log; that is fixed.

Wed Sep 11 22:48:21 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Password authentication server): Add comments
	regarding port numbers and troubleshooting.

Tue Sep 10 10:36:00 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (What is CVS?): Reword text regarding info-cvs,
	to avoid overfull hbox.

	* cvs.texinfo (Binary files): Add comment about further issues
	with recovering from failure to use -kb.

	* cvs.texinfo (Conflicts example): Describe the "feature" by which
	CVS won't check in files with conflicts.
	(File status): Expand and revise to document all the possible
	statuses from cvs status.  Also document "Working revision" and
	"Repository revision".  Refer to other sections for other aspects
	of cvs status.
	(status options): Refer to other sections as appropriate.
	(update output): Refer user to Conflicts example node.  Add
	comment regarding purging of .# files.

Fri Sep  6 11:47:14 1996  Ian Lance Taylor  <ian@cygnus.com>

	* cvs.texinfo (Kerberos authenticated): Mention need for
	--enable-encryption option in order to use encryption.
	(Global options): Likewise, in description of -x option.

Thu Sep  5 14:31:42 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Connecting via rsh): Discuss :ext:, :server:, and
	CVS_RSH.
	(Remote repositories): Mention what default is if no access method
	is specified.
	(Environment variables): Don't discuss CVS_RSH at length here;
	rely on reference to "Connecting via rsh" node.

Mon Aug 26 15:39:18 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Protocol Notes): When talking about having the
	client know the original contents of files, suggest cvs edit as a
	solution.

Thu Aug 22 10:44:40 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Keyword list): Document Name keyword.

	* cvs.texinfo (Tags): Revise comment regarding legal tag names.

Mon Aug 12 14:58:54 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Password authentication security): Add comment
	about how some of this is not pserver-specific.

Tue Aug  6 16:48:53 1996  Ian Lance Taylor  <ian@cygnus.com>

	* cvs.texinfo (log, log options): Update for changes to cvs log
	now that it no longer invokes rlog.

Thu Jul 25 10:10:16 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Fix typo (Kerberos-request ->
	Kerberos-encrypt).

Wed Jul 24 18:53:13 1996  Ian Lance Taylor  <ian@cygnus.com>

	* cvs.texinfo (Kerberos authenticated): Change the note that the
	Kerberos connection is not encrypted.
	(Global options): Add documentation for -x.
	* cvsclient.texi (Protocol Notes): Remove enhancement note about
	Kerberos encryption.
	(Requests): Add documentation for Kerberos-encrypt request.

Thu Jul 18 18:27:40 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Creating a repository): Mention need to be able to
	create lock files in the repository.

	* cvsclient.texi (Responses): In F response, make at least a
	minimal attempt to define "flush".

	* cvs.texinfo (Wrappers): Document -k.
	(From files, Binary files in imports): Say that imports can deal
	with binary files and refer to Wrappers node for details.
	(Binary files): Likewise for imports and adds.

Sat Jul 13 18:29:10 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Binary files): Add paragraph concerning the fact
	that the keyword expansion mode is not versioned, and why this is
	a problem.

Fri Jul 12 18:55:06 1996  Ian Lance Taylor  <ian@cygnus.com>

	* cvsclient.texi (Requests): Document Gzip-stream.

Thu Jul 11 21:51:45 1996  Ian Lance Taylor  <ian@cygnus.com>

	* cvsclient.texi (Responses): Document new "F" response.

Wed Jul 10 18:46:39 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (log): Don't document "rlog"; it is deprecated.

Sat Jul  6 22:07:45 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Environment variables): Document more temp
	directory nonsense, this time with "patch".

Fri Jul  5 23:27:40 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): Add comment regarding "/." ending.

Fri Sep 13 10:52:09 1996  Greg A. Woods  <woods@clapton.seachange.com>

	* cvs.texinfo: don't force afourpaper -- Letter prints much better
	on A4 than the other way around, believe you me!
 	(rdiff options): describe -k and new -K.
	(RCS keywords): add description of $Name.
	(Using keywords): add description of #ident and example of using
	$Name.
	- also fixed cross references to Substitution modes in various
	places.
	(import options): mention that -b 1 imports to the trunk.

Tue Jul  2 22:40:39 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Sticky tags): Update to reflect change in
	"resurrected" message.

Fri Jun 28 10:48:33 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Connecting via rsh): Add comment about what we
	might be saying about troubleshooting.

Sun Jun 23 10:07:45 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Password authentication security): Add comment
	regarding anoncvs as practised by OpenBSD.

Wed Jun 19 15:41:11 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Administrative files): Add xref to Intro
	administrative files.
	(Intro administrative files): Add comment suggesting future
	reorganizations of this material.
	(syntax): Add comment regarding this node.
	(Getting Notified): Actually document the notify file.  It hadn't
	really been documented to speak of.
	(editinfo,loginfo,rcsfino,cvsignore): Make the index entries
	follow the standard "foo (admin file)" format.

Fri Jun 14 18:14:32 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (editinfo): Discuss the way editinfo falls down in
	the face of -m or -F options to commit, or remote CVS.

Thu Jun 13 15:08:27 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Watches): Add comment discussing the
	fact that using cvs edit instead of chmod is not enforced.

	* cvs.texinfo (Setting up): Add index entry for "init (subcommand)".
	(Creating a repository): Move contents of node Setting up here...
	(Setting up): ...and remove this node.
	(Creating a repository): Don't refer to the INSTALL file (it just
	refers back to us!).

	* cvsclient.texi (Responses): Document the fact that the server
	should send data only when the client is expecting responses.

Wed Jun 12 16:04:48 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Entries Lines): Add comment regarding specifying
	the meaning of "any other" data, in the conflict field.
	(Example): Make it clear that using a separate connection for each
	command is not required by the protocol.  Add some comments
	regarding ways in which the example is out of date or wrong.

Fri Jun  7 18:02:36 1996  Ian Lance Taylor  <ian@cygnus.com>
			  and Jim Kingdon  <kingdon@cyclic.com>

	* cvs.texinfo (annotate): Document new -r, -D, and -f options.

Fri Jun  7 16:59:47 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Invoking CVS): Add comment describing why only some
	commands are listed here.
	(Structure, Environment variables): Don't describe CVS as a
	front-end to RCS.

Tue Jun  4 21:19:42 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): Document Created and Update-existing.

Mon Jun  3 17:01:02 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): Clarify "diff -c" versus "diff -u"
	format in Patched response.  Don't specify how the client must
	implement its patch-applying functionality.

Sun May 26 17:12:24 1996  Norbert Kiesel  <nk@col.sw-ley.de>

	* cvs.texinfo (tag options) Document option "-c".

Thu May 23 21:11:56 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Credits): Rewrite section on FAQ to reflect the
	fact that FAQ is no longer maintained.
	(What is CVS?): Mention comp.software.config-mgmt as well as
	info-cvs.  Mention the fact that info-cvs-request can be slow in
	responding.
	(What is CVS?): Rather than say that cvs is not a configuration
	mangement system, say specifically what it lacks (change control,
	etc.).  I added process control (which was sorely lacking from the
	list of configuration management functionality), and deleted some
	functions such as tape construction which are not provided by the
	well-known configuration management systems.

	* cvs.texinfo (checkout options): Add comment regarding
	subdirectories (lack of clarity pointed out by ian@cygnus.com).
	Add comment about that infernal "short as possible" wording.

	* cvs.texinfo (Global options): Fix error ("diff" -> "log")
	(reported by ian@cygnus.com).
	Remove footnote "Yes, this really should be fixed, and it's being
	worked on"--it isn't clear what "this" is, and I doubt anyone is
	working on it.

Tue May 21 17:22:18 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Clarify Directory with "." as local
	directory, and that filename for Questionable cannot contain "/".

Mon May 20 13:15:25 1996  Greg A. Woods  <woods@most.weird.com>

	* cvs.texinfo (rdiff): description from main.c:cmd_usage
	(rtag): description from main.c:cmd_usage
	(status): description from main.c:cmd_usage
	(tag): description from main.c:cmd_usage
	[all for the sake of consistency]

Fri May 17 11:42:46 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Add index entries for :local:, etc.
	(Password authentication server): Revert erroneous change
	regarding the format of CVSROOT/passwd file.

Thu May 16 17:06:46 1996  Noel Cragg  <noel@gargle.rain.org>

	* cvsclient.texi (Notes): Removed paragraphs about various server
 	invocations which are now described in full in node "Connection
 	and Authentication."
	(Requests): Include a note that "gzip-file-contents" doesn't
 	follow the upper/lowercase convention and that unknown reqests
 	always elicit a response, regardless of capitalization.

	* cvs.texinfo (Kerberos authenticated): Removed bogus version
 	number.
	(Repository): explain the ":local:" access method.

Wed May 15 23:43:04 1996  Noel Cragg  <noel@gargle.rain.org>

	* cvsclient.texi (Goals): mention access methods.
	(Requests): add note about convention: requests starting with a
 	captial letter don't have any expected response.  Made sure each
 	request has a "Response expected" note.

	* cvs.texinfo (Remote repositories): add info about access
 	methods; fix pserver info.

Tue May 14 08:56:41 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Environment variables): Try to document somewhat
	more accurately where we put temporary files.

	* cvs.texinfo (From files): Say directory tree instead of module
	where that is what we mean.  Use @var{wdir} and @var{rdir} in the
	example instead of using @var{dir} for two different things.
	(From files): Say directory tree instead of module
	where that is what we mean.
	(Binary files): When using cvs admin -kb, one needs an extra
	commit step on non-unix systems.
	(Binary files in imports): New node.
	(Wrappers): Add comment regarding indent example.
	(Top): Don't refer to modules when that is not what we mean.

Fri May 10 09:39:49 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Sticky tags): Explain what sticky dates and
	non-branch sticky tags are good for.

	* cvs.texinfo (Repository): Document that -d overrides CVS/Root.

Wed May  1 15:38:26 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Tags): Document un-revision of all-uppercase tag
	names.

Wed Apr 24 08:41:51 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Password authentication security): Rewrite sentence
	on complex and unknown security bugs to clarify that it is
	referring to people who have been give access to cvs, not to holes
	in the authentication method (which is relatively simple).

Tue Apr 23 09:31:29 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Wrappers): Talk about what -m does (and does not
	do).  Other minor edits.

Wed Apr 17 15:27:03 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (rcsinfo): Rewrite paragraph concerning remote CVS.
	* cvsclient.texi (Responses): Document Template response.

Sun Apr 14 16:01:39 1996  Karl Fogel  <kfogel@floss.red-bean.com>

        * .cvsignore: added CVSvn.texi.

Wed Apr 10 16:56:21 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (~/.cvsrc): Mention setting global options with "cvs".

	* cvs.texinfo (release): Change "modules" to "directories".
	Release does not take module names as arguments.

	* cvs.texinfo (Creating a branch): Add comments about how we
	should better document tagging the branchpoint.

Tue Apr  9 19:59:45 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Top): Use @value{CVSVN}, not a vague refenece to 1.4.

	* cvs.texinfo (From other version control systems): New node.

Mon Apr  8 15:59:37 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Connection and Authentication): Revise kerberos
	and pserver sections to reflect the fact that port 2401 is now
	officially registered.

Thu Mar 28 09:51:13 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (History browsing): Reinstate this node.  Try to get
	it into some minimally useful state (it still needs a lot of
	work).
	(annotate): New node, subnode of History browing.

	* cvsclient.texi (Requests): Add annotate request.

Tue Mar 26 08:46:39 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: In various examples, change tag names to avoid tag
	names reserved to CVS.

	* cvs.texinfo (Tags): Document what is a valid tag name.

	* cvs.texinfo (Substitution modes): Try to describe how the
	various keyword expansion settings interract.
	(Binary files): Suggest cvs update -A, not removing file and then
	updating it, to get effect of new keyword expansion options.

	* cvs.texinfo (admin options): Mention CVS's use of `dead' state.

Thu Mar 21 08:25:17 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Environment variables): Expand introduction to RCS
	environment variables.  Expand and correct CVS_SERVER_SLEEP.

	* cvs.texinfo (Environment variables): Remove POSIXLY_CORRECT; cvs
	requires options to precede arguments regardless of it.

Thu Mar 21 08:18:42 1996  Norbert Kiesel <nk@col.sw-ley.de>

	* cvs.texinfo: Remove paragrahps about a forthcoming CVS
          newsgroup and about sending patches to think.com.
          (Environment): Document some more (all?) used environment
          variables.

Wed Mar 20 09:44:21 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Introduction): New node.
	* Makefile.in: Add cruft to reflect fact that cvsclient.texi now
	uses CVSvn.texi.

Mon Mar 18 14:43:53 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Add Case request.

Wed Mar 13 16:01:47 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Connection and Authentication): New node.

	* cvsclient.texi (Requests): Expand discussion of Root a bit.

	* cvs.texinfo (Setting up): Don't refer to INSTALL file; revise to
	reflect some information which had been in the INSTALL file.

	* cvs.texinfo (history file): Update to reflect cvsinit -> cvs
	init.  Adjust discussion of whether history file format is
	documented.
	(Setting up): Update to reflect cvsinit -> cvs init.

	* cvsclient.texi (Requests): Document init request.

Thu Feb 29 10:08:31 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (loginfo example): Adjust example to reflect the way
	that CVS actually works.  Add comments questioning whether that is
	the best behavior.

	* cvs.texinfo (cvsignore): Document additions to default ignore list.

Mon Feb 26 13:48:01 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Filenames): New node, documents / vs \, etc.

Wed Feb 24 1996  Marcus Daniels  <marcus@sayre.sysc.pdx.edu>

	* cvs.texinfo (Password authentication server): Mention
	support for imaginary usernames.

Thu Feb 15 16:34:56 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Variables): Add new internal variable $USER.

Wed Feb 14 22:52:58 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (export, admin): Document -k option to cvs export.

	* cvs.texinfo (admin options): Mention using -l, -u, -L, and -U in
	conjunction with rcslock.pl.

Mon Feb 12 16:38:41 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Remove references to mkmodules.

Sun Feb 11 12:31:36 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi: Add Set request.

	* cvs.texinfo (Variables): Rewrite to reflect user variables
	replacing environment variables; motivate the discussion better.
	(Global options): Add -s option.

Sat Feb 10 11:18:37 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* cvs.texinfo (Variables): Fix @table commands.

Fri Feb  9 17:31:18 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Variables): New node.

	* Makefile.in (CVSvn.texi): New rule.
	(OBJDIR_DISTFILES): Add CVSvn.texi.
	(cvs.dvi,cvs.info): Add cruft to deal with it being in build dir
	or srcdir.
	* cvs.texinfo: Include CVSvn.texi and use the version number from
	it instead of a hardcoded version number and date.

Thu Feb  1 13:28:03 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Sticky tags): Expand so it really documents the
	features it is talking about rather than referring to "Appendix
	A".  Add example of how to restore the old version of a dead
	file.  In various other parts of the manual refer to this node, in
	some cases deleting duplicative text.  In the case of cvs admin
	-b, mention vendor branch usage.
	(Removing files): Discuss removing files (in user-visible terms,
	not in terms of the Attic and such).
	(remove): Remove node; merge contents into Removing files.

Tue Jan 30 17:52:06 1996  Jim Blandy  <jimb@totoro.cyclic.com>

	* cvs.texinfo: Tweak @top node, to make file compatible with both
	makeinfo and texinfo-format-buffer.  Perhaps we should fix the
	formatters to agree on what constitutes valid texinfo.

Mon Jan 29 16:38:33 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requirements): New node, to talk about required
	versus optional parts of the protocol.

Sun Jan 28 09:00:34 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Modes): Add discussion what what the mode really
	means (across diverse operating systems).

Tue Jan 23 12:54:57 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Per mail from Per Cederqvist, change author to "Per
	Cederqvist et al".  Also remove sentence about Signum shipping
	hardcopy manuals and add information on Cyclic.  Change version
	number to 1.6.87.

Fri Jan 12 15:29:39 1996  Vince Demarco  <vdemarco@bou.shl.com>

	* cvs.texinfo: Fix the documentation for the com/uncom change
	to wrap/unwrap. make everything consistant

Wed Jan 10 16:11:54 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Concurrency): Add index entries; minor clarification.

Tue Jan  9 16:03:39 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Getting Notified): Document users file.

	* cvs.texinfo (cvsignore): Add *.obj to list of ignored files.

Wed Jan  3 17:01:58 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (import): Adjust list of ignored files to match
	recent change to CVS (CVS* -> CVS CVS.adm).  Consolidate
	discussion of ignored files in one place (with xrefs from others).

	* cvsclient.texi: Remove How To node.  It was out of date
	(again!), and I am getting sick of trying to update it (internals
	documentation should be in the comments, where it at least has a
	fighting chance of staying up to date).
	(Protocol): Say what \n and \t mean in this document.

Tue Jan  2 23:39:32 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Wrappers): Change comb/uncom to wrap/unwrap.

Mon Jan  2 23:00:00 1996  Vince Demarco  <vdemarco@bou.shl.com>

	* cvs.texinfo: update the Wrappers documentation so it isn't
	so NEXTSTEP centric. The wrappers code has alot of other
	general uses. The new version of the documentation tryes
	to show that to the reader.

Mon Jan  1 13:09:39 1996  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): Clarify that Module-expansion is not
	suitable for passing to co.

Sun Dec 31 10:53:47 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Password authentication server): Suggest specifying
	-b in inetd.conf.

	* cvs.texinfo (Password authentication): Variety of cleanups and
	minor fixes, including shorter node names.

Sun Dec 24 02:37:51 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * cvs.texinfo (Using the client with password authentication):
        tixed fypos.

Sun Dec 24 00:00:16 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * cvs.texinfo (Remote repositories): use @code{rsh} most places,
        because it is the name of a program, and because I am a pedant.
        Refer to new node "Password authenticated".
        (Password authenticated): new node.
        (Setting up the server for password authentication): new node.
        (Using the client with password authentication): new node.
        (Security considerations with password authentication): new node.

        These are all really long node names, but it seems necessary that
        they be descriptive in case they're referenced elsewhere.  If you
        can think of a way out of this, please change them.

Thu Dec 21 12:09:34 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Requests): Add Questionable.  Revise
	documentation of export and update to explain role of -I option.

Tue Dec 19 16:44:18 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Update binary files info for -kb.

Mon Dec 11 12:20:55 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Responses): Add Notified and Mode.
	(Requests): Add Notify, noop, watch-on, watch-off, watch-add,
	watch-remove, watchers, and editors.
	* cvs.texinfo (Watches): New node, to describe new developer
	communication features.

Thu Nov 23 08:59:09 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (admin options): In saying that cvs admin -o is not
	such a good way to undo a change, refer to the section which
	describes the preferred way.

Thu Nov 13 16:39:03 1995  Fred Fish  <fnf@cygnus.com>

	* Makefile.in: Remove extraneous tab from empty line.

Mon Nov 13 15:00:26 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Concurrency): New node, to describe user-visible
	behaviors associated with cvs locks.

	* cvs.texinfo (Remote repositories): Add more details of how to
	set things up (with rsh and kerberos).

Thu Nov  9 11:41:37 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Remove -Q and -q options from command synopses.

Wed Nov  8 09:38:00 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (Notes): Revise paragraph on server memory use
	problem.

Tue Nov  7 16:26:39 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Document merging more than once from a branch;
	miscellaneous cleanups.

Mon Oct 30 13:12:53 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (modules): Document -e.

Thu Oct 26 11:15:40 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Tags): Update "version" vs. "revision" for CVS 1.5.
	(Index,BUGS): Change bug reporting address from Per Cederqvist to
	bug-cvs@prep.ai.mit.edu.

Wed Oct 25 15:37:05 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Miscellaneous minor changes (clean up CVS/Root
	stuff, don't say release requires a module entry, etc.).

Tue Oct 24 11:01:22 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: More precisely describe scope of document.
	* cvsclient.texi: Describe scope of document

Thu Oct 12 11:25:40 1995  Karl Fogel  <kfogel@totoro.cyclic.com>

        * cvs.texinfo: cover page now refers to CVS 1.6, and "last
        updated" date has been upped to today.

Wed Oct 11 22:30:10 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (info): Look for *.info* either in build dir or in
        srcdir.

Mon Oct  2 17:10:49 1995  Norbert Kiesel  <nk@col.sw-ley.de>

	* cvs.texinfo (admin): Describe usage of CVS_ADMIN_GROUP to
	restrict usage of admin.

Fri Oct  6 21:17:50 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (~/.cvsrc): Document change to command name matching.

Thu Oct  5 18:03:41 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (install-info): Add comment about srcdir.

Wed Sep 13 12:45:53 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Moving files): Rewrite "Outside" node to clarify
	that history is still there and describe how to get it.  Assorted
	cleanups.

Tue Sep 12 19:02:47 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo (Removing files): Remove section on limitations
	which are gone now that we have death support.

Wed Aug 30 12:32:29 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * cvs.texinfo (Remote Repositories): new node, referred to from
        `Basics' and `Repository'.
        (Repository): documented new `-d' vs. `$CVSROOT' vs. `CVS/Root'
        behavior.
        (commitinfo): document client/server-case behavior.
        (editinfo):   document client/server-case behavior.
        (loginfo):    document client/server-case behavior.
        (rcsinfo):    document client/server-case behavior.

Mon Aug 21 00:23:45 1995  Jim Kingdon  <kingdon@harvey.cyclic.com>

	* cvsclient.texi (How To): The way to force rsh is to set
	CVS_CLIENT_PORT to -1, not to some bogus value.

Tue Aug 15 17:12:08 1995  Karl Fogel  <kfogel@floss.cyclic.com>

        * cvs.texinfo
        (Basic concepts): talk about remote repositories.
        (Repository): same.

Mon Jul 24 19:09:12 1995  James Kingdon  <kingdon@harvey.cyclic.com>

	* cvs.texinfo: Remove references to -q and -Q command options.

Fri Jul 21 10:33:07 1995  Vince DeMarco <vdemarco@bou.shl.com>

	* cvs.texinfo: Changes for CVSEDITOR and wrappers.

Thu Jul 13 23:04:12 CDT 1995  Jim Meyering  (meyering@comco.com)

	* Makefile.in (cvs-paper.ps): *Never* redirect output directly to
	the target (usu $@) of a rule.  Instead, redirect to a temporary
	file, and then move that temporary to the target.  I chose to
	name temporary files $@-t.  Remember to be careful that the length
	of the temporary file name not exceed the 14-character limit.

Sun Jul  9 19:03:00 1995  Greg A. Woods  <woods@most.weird.com>

	* doc/cvs.texinfo:
	- document '-q' for 'cvs status'
	- correction to regexp use in *info files
	- correction to use of 'cvsinit' script
	(from previous local changes)

Tue Jun 20 18:57:55 1995  James Kingdon  <kingdon@harvey.cyclic.com>

	* Makefile.in (dist-dir): Depend on $(OBJDIR_DISTFILES).

Fri Jun 16 21:56:16 1995  Karl Fogel <kfogel@cyclic.com>
			  and Jim Meyering <meyering@comco.com>

	* update.c (update_file_proc): If noexec, just write 'C', don't merge.

Fri Jun 16 07:56:04 1995  Jim Kingdon  (kingdon@cyclic.com)

	* cvs-paper.ps: Added.

Sat May 27 08:46:00 1995  Jim Meyering  (meyering@comco.com)

	* Makefile.in (Makefile): Regenerate only Makefile in current
	directory when Makefile.in is out of date.  Depend on ../config.status.

Sat May 27 08:08:18 1995  Jim Meyering  (meyering@comco.com)

	* doc/Makefile.in (realclean): Remove more postscript and info files.

Fri Apr 28 22:44:06 1995  Jim Blandy  <jimb@totoro.bio.indiana.edu>

	* Makefile.in (DISTFILES): Updated.
	(doc): Depend on cvsclient.ps too.
	(cvs.aux, cvsclient.aux): Add target.
	(cvsclient.dvi): Don't nuke the aux file.  They're small and
	helpful.
	(cvsclient.ps): New target.
	(dist-dir): Renamed from dist; changed to work with DISTDIR
	variable from parent.

Sun Apr 23 22:13:18 1995  Noel Cragg  <noel@vo.com>

	* Makefile: Added more files to the `clean' target.
	* .cvsignore: Added the same files.

Mon Nov 28 10:22:46 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Notes): Remove item about commit options; now
	fixed.  Rewrite paragraph about server memory usage.

	* cvsclient.texi (Responses): Add Set-checkin-prog and
	Set-update-prog.
	(Requests): Add Checkin-prog and Update-prog.
	* cvsclient.texi (TODO): Remove last item (it is fixed) and node.

Fri Nov 18 16:51:36 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Requests): Add Max-dotdot.

Thu Nov  3 07:04:24 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Protocol): Add Directory request.
	(TODO): Remove item about renaming directories.
	(Protocol): Change @subheading to @node/@section.

Fri Oct 28 07:51:13 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Protocol): Add expand-module request and
	Module-expansion response.
	(Protocol Notes, TODO): Remove items about cvs co funkiness.

Wed Oct 12 19:49:36 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Protocol): Add Copy-file response.

	* cvsclient.texi (How To): Correct item about where declaration
	of cvs commands go.

	* cvsclient.texi (Protocol): Add new commands.  Merge description
	of how commands work which was duplicated among the various
	commands.  Formatting cleanups.
	(TODO): Remove item about bad error message on checking in a
	nonexistent file; this works now (presumably fixed by the
	Unchanged stuff).
	(Notes): Remove thing about trying unsupported commands via NFS,
	rdist, etc.  Also remove item about some commands not being
	supported.  There are no unsupported commands anymore.

Tue Sep 13 13:28:52 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Protocol): Document New-entry response.

Mon Sep 12 06:35:15 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Protocol): Clarify that checksum is of patched
	file, not patch itself.  Fix typo (valid-requests -> Valid-requests).

	* cvsclient.texi (Protocol): Document Sticky request and
	Set-sticky and Clear-sticky responses.
	(Notes): Remove sticky tags from todo list.

Thu Sep  8 14:23:58 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Protocol): Document Static-directory requests
	and Set-static-directory and Clear-static-directory responses.
	(Notes): Remove Entries.Static support from todo list.

	* cvsclient.texi (Protocol): Document Unchanged and UseUnchanged
	requests.  Update documentation of Entry and Lost accordingly.

Mon Aug 22 14:08:21 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Goals): Remove mention of rsh.
	(Protocol Notes, TODO): Remove compression item.
	(Protocol): Document "status" request.
	(TODO): Remove suggestion to add "cvs status".

Tue Jul 19 10:02:53 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* Makefile.in (install-info): Do not depend upon installdirs.

Fri Jul 15 12:56:53 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* Makefile.in (all): Do not depend upon info.
	(install): Do not depend upon install-info.

Thu Jul  7 20:43:12 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* cvsclient.texi (Protocol): Add Checksum response.

Thu Jun 30 15:16:50 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Protocol): Add Global_option request.

Wed Jun 29 14:09:42 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* cvsclient.texi: Describe sending patches, including the dummy
	update-patches request and the Patched response.  Mention Kerberos
	authentication using ``cvs kserver''.  Some other minor changes.

Tue Jun 28 15:21:06 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Protocol Notes): Remove note about sending diffs
	in Updated; Ian did it.  Remove note about adding encryption to rsh.

Sat May  7 10:44:30 1994  Jim Kingdon  (kingdon@lioth.cygnus.com)

	* cvsclient.texi (Protocol): Document Modified without Entry.  Add
	`add' and `remove' and `Remove-entry'.  Formatting cleanups.

Tue Apr 19 01:29:04 1994  John Gilmore  (gnu@cygnus.com)

	* cvsclient.texi:  New node How To; cleanups throughout.
	* Makefile.in:  Add dependencies on cvsclient.texi.

